/* Next available MSG number is 495 */

//    ACAD.DCL      Version 1.0
//
//    Copyright (C) 1991-1992 by Autodesk, Inc.
//         
//    Permission to use, copy, modify, and distribute this software 
//    for any purpose and without fee is hereby granted, provided 
//    that the above copyright notice appears in all copies and that 
//    both that copyright notice and this permission notice appear in 
//    all supporting documentation.
//
//    THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//    WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//    PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.

// AutoCAD DCL (Dialog Control Language)
// Define AutoCAD dialogs

// This file should not be modified when used with AutoCAD.
// Modification to the dialogue definitions can have serious adverse
// effects on the use of the product.  Since no modifications to this
// file are allowed, there should be no need for any internal error
// checking on the contents of this file, hence we disable audit checks
// by default.

dcl_settings : default_dcl_settings { audit_level = 0; }

acad_snap : dialog {
        label = /*MSG1*/"Drawing Aids";
        : row {
            : column {
                : boxed_column {
                    label = /*MSG2*/"Modes";
                    : toggle {
                        label = /*MSG3*/"Ortho";
                        mnemonic = /*MSG4*/"O";
                        key = "ortho";
                    }
                    : toggle {
                        label = /*MSG5*/"Solid Fill";
                        mnemonic = /*MSG6*/"F";
                        key = "fill";
                    }
                    : toggle {
                        label = /*MSG7*/"Quick Text";
                        mnemonic = /*MSG8*/"Q";
                        key = "qtext";
                    }
                    : toggle {
                        label = /*MSG9*/"Blips";
                        mnemonic = /*MSG10*/"B";
                        key = "blips";
                    }
                    : toggle {
                        label = /*MSG11*/"Highlight";
                        mnemonic = /*MSG12*/"g";
                        key = "hilite";
                    }
                }
            }
            : boxed_column {
                label = /*MSG13*/"Snap";
                mnemonic = /*MSG14*/"S";
                : toggle {
                    label = /*MSG15*/"On";
                    key = "snap";
                }
                : edit12_box {
                    label = /*MSG16*/"X Spacing";
                    mnemonic = /*MSG468*/"X";
                    key = "s_xsp";
                    errmsg = /*MSG17*/"Snap X Spacing";
                }
                : edit12_box {
                    label = /*MSG18*/"Y Spacing";
                    mnemonic = /*MSG469*/"Y";
                    key = "s_ysp";
                    errmsg = /*MSG19*/"Snap Y Spacing";
                }
                : edit12_box {
                    label = /*MSG20*/"Snap Angle";
                    mnemonic = /*MSG470*/"n";
                    key = "s_ang";
                }
                : edit12_box {
                    label = /*MSG21*/"X Base";
                    mnemonic = /*MSG471*/"a";
                    key = "xbase";
                    errmsg = /*MSG22*/"Snap X Base";
                }
                : edit12_box {
                    label = /*MSG23*/"Y Base";
                    mnemonic = /*MSG472*/"e";
                    key = "ybase";
                    errmsg = /*MSG24*/"Snap Y Base";
                }
            }
            : column {
                : boxed_column {
                    label = /*MSG25*/"Grid";
                    mnemonic = /*MSG26*/"G";
                    fixed_height = true;
                    : toggle {
                        label = /*MSG27*/"On";
                        key = "grid";
                    }
                    : edit12_box {
                        label = /*MSG28*/"X Spacing";
                        mnemonic = /*MSG473*/"p";
                        key = "g_xsp";
                        errmsg = /*MSG29*/"Grid X Spacing";
                    }
                    : edit12_box {
                        label = /*MSG30*/"Y Spacing";
                        mnemonic = /*MSG474*/"c";
                        key = "g_ysp";
                        errmsg = /*MSG31*/"Grid Y Spacing";
                    }
                }
                : boxed_column {
                    label = /*MSG32*/"Isometric Snap/Grid";
                    mnemonic = /*MSG33*/"I";
                    : toggle {
                        label = /*MSG34*/"On";
                        key = "iso";
                    }
                    : radio_row {
                        key = "isorad";
                        : radio_button {
                            label = /*MSG35*/"Left";
                            mnemonic = /*MSG36*/"L";
                            key = "ileft";
                        }
                        : radio_button {
                            label = /*MSG37*/"Top";
                            mnemonic = /*MSG38*/"T";
                            key = "itop";
                        }
                        : radio_button {
                            label = /*MSG39*/"Right";
                            mnemonic = /*MSG40*/"R";
                            key = "iright";
                        }
                    }
                }
            }
       }
        ok_cancel_help_errtile;
}

acad_ent_create : dialog {
    label = /*MSG41*/"Entity Creation Modes";
    : row {
        : button {
            label = /*MSG42*/"Color...";
            mnemonic = /*MSG43*/"C";
            key = "b_color";
        }
        : swatch {
            key = "show_image";
        }
        : text {
            key = "l_color";
            width = 18;
            fixed_width = true;
        }
    }
    : row {
        : button {
            label = /*MSG44*/"Layer...";
            mnemonic = /*MSG45*/"L";
            key = "b_name";
        }
        : text {
            key = "l_name";
            width = 18;
            fixed_width = true;
        }
    }
    : row {
        : button {
            label = /*MSG46*/"Linetype...";
            mnemonic = /*MSG47*/"i";
            key = "b_line";
        }
        : text {
            key = "l_line";
            width = 18;
            fixed_width = true;
        }
    }
    : row {
        : button {
            label = /*MSG48*/"Text Style...";
            mnemonic = /*MSG49*/"S";
            key = "b_text";
        }
        : text {
            key = "l_text";
            width = 18;
            fixed_width = true;
        }
    }
    : edit_box {
        key = "elev";
        errmsg = /*MSG406*/"elevation";
        label = /*MSG50*/"Elevation:";
        mnemonic = /*MSG51*/"E";
        edit_width = 18;
    }
    : edit_box {
        key = "thick";
        errmsg = /*MSG407*/"thickness";
        label = /*MSG52*/"Thickness:";
        mnemonic = /*MSG53*/"T";
        edit_width = 18;
    }
    ok_cancel_help_errtile;
}

rq_chroma :dialog {
    label = /*MSG410*/"Select Color";
    key = "chroma";                   // used by Help button to obtain label
    std_rq_color;
}


acad_ltype : dialog {
    key = "ltype";
    label = /*MSG61*/"Select Linetype";
    fg_color = black;                 // Image foreground & background colors
    bg_color = white;                 //   are reversed for the selected item
    empty_color = dialog_background;  // Fill color for extra/unused images
    num_items = 10;                   // Customizable
    //  The number of image/text pairs should match the "num_items" setting.
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = "image_1"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = "ltype_1"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = "image_2"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = "ltype_2"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = "image_3"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = "ltype_3"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = "image_4"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = "ltype_4"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = "image_5"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = "ltype_5"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = "image_6"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = "ltype_6"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = "image_7"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = "ltype_7"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = "image_8"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = "ltype_8"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = "image_9"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = "ltype_9"; width = 25; fixed_width = true;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        : image_button {
            key = "image_10"; height = 1; width = 15; fixed_width = true;
            vertical_margin = none; allow_accept = true;
        }
        : text {
            key = "ltype_10"; width = 25; fixed_width = true;
        }
    }
    spacer_1;
    : edit_box {
        key = "edit";
        label = /*MSG62*/"Linetype:";
        mnemonic = /*MSG475*/"L";
        errmsg = /*MSG63*/"none";
        allow_accept = true;
        edit_limit = 31;
    }
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        cancel_button;
        : retirement_button {
            key = "prev";
            label = /*MSG487*/"Previous";
            mnemonic = /*MSG488*/"P";
        }
        : retirement_button {
            key = "next";
            label = /*MSG489*/" Next ";
            mnemonic = /*MSG490*/"N";
        }
        help_button;
    }
    errtile;
}


acad_tstyle : dialog {
    label = /*MSG64*/"Select Text Style";
    : row {
        : column {
            : list_box {
                key = "style_list";
                width = 16;
                height = 8;
                allow_accept = true;
            }
            : button {
                label = /*MSG65*/"Show All...";
                mnemonic = /*MSG66*/"A";
                key = "showall";
            }
        }
        : column {
            : image {
                key = "style_image";
                height = 7;
                width = 20;
            }
            : edit_box {
                key = "style_sample";
                label = /*MSG67*/"Sample Text:";
                mnemonic = /*MSG68*/"S";
                edit_width = 6;
                fixed_width = true;
                alignment = centered;
            }
        }
    }
    spacer;
    : edit_box {
        key = "style_edit";
        label = /*MSG69*/"Style Name:";
        mnemonic = /*MSG405*/"N";
        edit_width = 32;
        edit_limit = 31;
        fixed_width = true;
        allow_accept = true;
    }
    : row {
        : paragraph {
            : text_part {
                label = /*MSG71*/"Font:";
            }
            : text_part {
                label = /*MSG72*/"Height:";
            }
            : text_part {
                label = /*MSG73*/"Width:";
            }
            : text_part {
                label = /*MSG74*/"Oblique:";
            }
            : text_part {
                label = /*MSG75*/"Generation:";
            }
        }
        : paragraph {
            : text_part {
                key = "font";
                width = 32;
            }
            : text_part {
                key = "height";
                width = 32;
            }
            : text_part {
                key = "width";
                width = 32;
            }
            : text_part {
                key = "oblique";
                width = 32;
            }
            : text_part {
                key = "gen";
                width = 32;
            }
        }
    }
    ok_cancel_err;
}

acad_tstyle_sym : dialog {
    key = "acad_tstyle_sym";
    label = /*MSG76*/"Symbol Set";
    : image {
        key = "showall";
        color = graphics_background;
        height = 16;
        width = 70;
    }
    : ok_button {
        is_cancel = true;
    }
}

acad_icon: dialog {
        key = "label";
        initial_focus               = "listbox";
        : row {
            : list_box {
                width               = 20;
                height              = 20;
                fixed_height        = true;
                key                 = "listbox";
                allow_accept        = true;
            }
            : column {
                : row {
                    : icon_image {
                        key         = "icon1";
                    }
                    : icon_image {
                        key         = "icon2";
                    }
                    : icon_image {
                        key         = "icon3";
                    }
                    : icon_image {
                        key         = "icon4";
                    }
                }
                : row {
                    : icon_image {
                        key         = "icon5";
                    }
                    : icon_image {
                        key         = "icon6";
                    }
                    : icon_image {
                        key         = "icon7";
                    }
                    : icon_image {
                        key         = "icon8";
                    }
                }
                : row {
                    : icon_image {
                        key         = "icon9";
                    }
                    : icon_image {
                        key         = "icon10";
                    }
                    : icon_image {
                        key         = "icon11";
                    }
                    : icon_image {
                        key         = "icon12";
                    }
                }
                : row {
                    : icon_image {
                        key         = "icon13";
                    }
                    : icon_image {
                        key         = "icon14";
                    }
                    : icon_image {
                        key         = "icon15";
                    }
                    : icon_image {
                        key         = "icon16";
                    }
                }
                : row {
                    : icon_image {
                        key         = "icon17";
                    }
                    : icon_image {
                        key         = "icon18";
                    }
                    : icon_image {
                        key         = "icon19";
                    }
                    : icon_image {
                        key         = "icon20";
                    }
                }
/*
 *              : row {
 *                  : icon_image {
 *                      key         = "icon21";
 *                  }
 *                  : icon_image {
 *                      key         = "icon22";
 *                  }
 *                  : icon_image {
 *                      key         = "icon23";
 *                  }
 *                  : icon_image {
 *                      key         = "icon24";
 *                  }
 *              }
 */
            }
        }
        : row {
            : row {
                spacer_0;
                : row {
                    fixed_width = true;
                    : button {
                        label = /*MSG77*/"Previous";
                        mnemonic = /*MSG476*/"P";
                        key = "prev";
                        width = 8;
                    }
                    :spacer {
                        width = 2;
                    }
                    :button {
                        label = /*MSG78*/"  Next  ";
                        mnemonic = /*MSG477*/"N";
                        key = "next";
                        width = 8;
                    }
                }
                spacer_0;
            }
            spacer;
            ok_cancel;
        }
}

acad_mlayer : dialog {
    label = /*MSG79*/"Layer Control";
    initial_focus = "layer_name_box";
    : row {
        : column {
            : concatenation {
                : text_part {
                    label = /*MSG80*/"Current Layer: ";
                }
                : text_part {
                    label = "";
                    key = "cur_layer";
                    width = 32;
                }
            }
            : concatenation {
                : text_part {
                    label = /*MSG81*/"Layer Name";
                    width = 23;
                }
                : text_part {
                    label = /*MSG82*/"State";
                    width = 10;
                }
                : text_part {
                    label = /*MSG408*/"Color";
                    width = 9;
                }
                : text_part {
                    label = /*MSG409*/"Linetype";
                }
            }
            : list_box {
                tabs = "22 25 27 29 33 41";
                width = 55;
                height = 12;
                key = "layers";
                fixed_width = true;
                multiple_select = true;
            }
        }
        : column {
            children_alignment = centered;
            : row {
                key = "actions_1";
                : column {
                    children_alignment = centered;
                    : button {
                        label = /*MSG83*/"On";
                        mnemonic = /*MSG84*/"O";
                        key = "on";
                        value = "1";
                    }
                    : button {
                        label = /*MSG85*/"Thaw";
                        mnemonic = /*MSG86*/"T";
                        key = "thaw";
                    }
                    : button {
                        label = /*MSG87*/"Unlock";
                        mnemonic = /*MSG88*/"U";
                        key = "unlock";
                    }
                }
                : column {
                    children_alignment = centered;
                    : button {
                        label = /*MSG89*/"Off";
                        mnemonic = /*MSG90*/"f";
                        key = "off";
                    }
                    : button {
                        label = /*MSG91*/"Freeze";
                        mnemonic = /*MSG92*/"z";
                        key = "freeze";
                    }
                    : button {
                        label = /*MSG93*/"Lock";
                        mnemonic = /*MSG94*/"k";
                        key = "lock";
                    }
                }
            }
            spacer_0;
            : column {
                key = "vp_actions";
                children_alignment = centered;
                : row {
                    : text {
                        label = /*MSG95*/"Cur VP:";
                    }
                    : button {
                        label = /*MSG96*/"Thw";
                        key = "curvp_thw";
                    }
                    : button {
                        label = /*MSG97*/"Frz";
                        key = "curvp_frz";
                    }
                }
                : row {
                    : text {
                        label = /*MSG98*/"New VP:";
                    }
                    : button {
                        label = /*MSG99*/"Thw";
                        key = "newvp_thw";
                    }
                    : button {
                        label = /*MSG100*/"Frz";
                        key = "newvp_frz";
                    }
                }
            }
            spacer_0;
            : column {
                key = "actions_2";
                children_alignment = centered;
                : button {
                    label = /*MSG101*/"Set Color...";
                    mnemonic = /*MSG102*/"S";
                    key = "color";
                }
                : button {
                    label = /*MSG103*/"Set Ltype...";
                    mnemonic = /*MSG104*/"L";
                    key = "linetype";
                }
            }
            spacer_0;
        }
    }
    : row {
        : column {
            fixed_width = true;
            : button {
                label = /*MSG105*/"Select All";
                mnemonic = /*MSG106*/"A";
                key = "all";
            }
            : button {
                label = /*MSG107*/"Clear All";
                mnemonic = /*MSG108*/"r";
                key = "clear";
            }
        }
        : column {
            fixed_width = true;
            : row {
                children_fixed_width = true;
                : button {
                    label = /*MSG109*/"New";
                    mnemonic = /*MSG110*/"w";
                    key = "add_new";
                }
                : button {
                    label = /*MSG111*/"Current";
                    mnemonic = /*MSG112*/"C";
                    key = "set_current";
                }
                : button {
                    label = /*MSG113*/"Rename";
                    mnemonic = /*MSG114*/"m";
                    key = "rename";
                }
            }
            : edit_box {
                key = "layer_name_box";
                width = 32;
                edit_width = 32;
            }
        }
        : boxed_row {
            label = /*MSG115*/"Filters";
            : toggle {
                label = /*MSG117*/"On";
                mnemonic = /*MSG478*/"n";
                key = "use_filters";
            }
            : button {
                label = /*MSG118*/"Set...";
                mnemonic = /*MSG479*/"e";
                key = "do_filters";
            }
        }
    }
    ok_cancel_help_errtile;
}

acad_mlfilts : dialog {
    label = /*MSG119*/"Set Layer Filters";
    : popup_list {
        label = /*MSG120*/"On/Off:";
        mnemonic = /*MSG480*/"O";
        list = /*MSG121*/"Both\nOn\nOff\n";
        key = "flt_on";
        edit_width = 9;
        popup_height = 3;
    }
    : popup_list {
        label = /*MSG122*/"Freeze/Thaw:";
        mnemonic = /*MSG481*/"F";
        list = /*MSG123*/"Both\nFrozen\nThawed";
        key = "flt_freeze";
        edit_width = 9;
        popup_height = 3;
    }
    : popup_list {
        label = /*MSG124*/"Lock/Unlock:";
        mnemonic = /*MSG482*/"U";
        list = /*MSG125*/"Both\nLocked\nUnlocked";
        key = "flt_lock";
        edit_width = 9;
        popup_height = 3;
    }
    : popup_list {
        label = /*MSG126*/"Current Vport:";
        mnemonic = /*MSG483*/"V";
        list = /*MSG127*/"Both\nFrozen\nThawed";
        key = "flt_curvp_frz";
        edit_width = 9;
        popup_height = 3;
    }
   : popup_list {
        label = /*MSG128*/"New Vports:";
        mnemonic = /*MSG484*/"N";
        list = /*MSG129*/"Both\nFrozen\nThawed";
        key = "flt_newvp_frz";
        edit_width = 9;
        popup_height = 3;
    }
    : edit_box {
        label = /*MSG130*/"Layer Names:";
        mnemonic = /*MSG131*/"L";
        key = "flt_names";
        edit_width = 15;
    }
    : edit_box {
        label = /*MSG132*/"Colors:";
        mnemonic = /*MSG133*/"C";
        key = "flt_colors";
        edit_width = 15;
    }
    : edit_box {
        label = /*MSG134*/"Ltypes:";
        mnemonic = /*MSG135*/"t";
        key = "flt_ltypes";
        edit_width = 15;
    }
    : button {
        label = /*MSG136*/"Reset";
        mnemonic = /*MSG137*/"R";
        key = "reset";
    }
    ok_cancel_help_errtile;
}

acad_plan6 : dialog {
    label = /*MSG138*/"UCS Origin Point and Axis Vectors";
    : concatenation {
        : text_part {
            label = /*MSG139*/"Name: ";
        }
        : text_part {
            label = /*MSG140*/"*World*";
            key = "name";
            width = 31;
        }
    }
    : row {
        : boxed_column {
            label = /*MSG141*/"Origin";
            : concatenation {
                : text_part {
                    label = /*MSG142*/"X=";
                }
                : text_part {
                    key = "00";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*MSG143*/"Y=";
                }
                : text_part {
                    key = "10";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*MSG144*/"Z=";
                }
                : text_part {
                    key = "20";
                    width = 12;
                }
            }
        }
        : boxed_column {
            label = /*MSG145*/"X Axis";
            : concatenation {
                : text_part {
                    label = /*MSG146*/"X=";
                }
                : text_part {
                    key = "01";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*MSG147*/"Y=";
                }
                : text_part {
                    key = "11";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*MSG148*/"Z=";
                }
                : text_part {
                    key = "21";
                    width = 12;
                }
            }
        }
        : boxed_column {
            label = /*MSG149*/"Y Axis";
            : concatenation {
                : text_part {
                    label = /*MSG150*/"X=";
                }
                : text_part {
                    key = "02";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*MSG151*/"Y=";
                }
                : text_part {
                    key = "12";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*MSG152*/"Z=";
                }
                : text_part {
                    key = "22";
                    width = 12;
                }
            }
        }
        : boxed_column {
            label = /*MSG153*/"Z Axis";
            : concatenation {
                : text_part {
                    label = /*MSG154*/"X=";
                }
                : text_part {
                    key = "03";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*MSG155*/"Y=";
                }
                : text_part {
                    key = "13";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = /*MSG156*/"Z=";
                }
                : text_part {
                    key = "23";
                    width = 12;
                }
            }
        }
    }
    : ok_button {
        is_cancel = true;
    }
}

acad_plan : dialog {
    label = /*MSG157*/"UCS Control";
    initial_focus = "listbox";
    spacer;
    : list_box {
        label = /*MSG485*/"UCS Names";
        mnemonic = /*MSG486*/"U";
        tabs = "34";
        key = "listbox";
        width = 40;
    }
    : row {
        : button {
            label = /*MSG165*/"Current";
            mnemonic = /*MSG166*/"C";
            key = "cur";
        }
        : button {
            label = /*MSG161*/"Delete";
            mnemonic = /*MSG162*/"D";
            key = "delete";
        }
        : button {
            label = /*MSG163*/"List...";
            mnemonic = /*MSG164*/"L";
            key = "list";
        }
    }
    : row {
        : button {
            label = /*MSG159*/"Rename To:";
            mnemonic = /*MSG160*/"R";
            key = "rename";
            fixed_width = true;
        }
        : edit_box {
            key = "rename_edit_box";
            edit_width = 32;
            edit_limit = 31;
        }
    }
    ok_cancel_help_errtile;
}

acad_txtedit : dialog {
    label = /*MSG180*/"Edit Text";
    initial_focus = "text_edit";
    : edit_box {
        label = /*MSG181*/"Text:";
        key = "text_edit";
        edit_width = 40;
        edit_limit = 255;
        allow_accept = true;
    }
    ok_cancel;
}

acad_attedit : dialog {
    label = /*MSG182*/"Edit Attribute Definition";
    : edit_box {
        key = "tag_edit";
        label = /*MSG183*/"Tag:";
        edit_width = 40;
    }
    : edit_box {
        key = "prompt_edit";
        label = /*MSG184*/"Prompt:";
        edit_width = 40;
    }
    : edit_box {
        key = "default_edit";
        label = /*MSG185*/"Default:";
        edit_width = 40;
        edit_limit = 255;
    }
    ok_cancel;
    : errtile { width = 45; }
}


//  "Edit Attributes" / "Enter Attributes"  dialogue.
//
//  This is user-customizable, in that the "num_items" parameter specifies
//  the number of prompt/value fields to be displayed at once.  The number
//  of corresponding text and edit_box widgets should match this number,
//  with keys of "prompt_1" and "edit_1" through "prompt_n" and "edit_n".
//
//  The widths of the prompt and value fields can also be customized.
//  Up to 80 characters of text can be displayed per prompt.  The value
//  edit boxes scroll, so they can accommodate 255-character values.

acad_ddatte : dialog {
    key = "ddatte";
    label = /*MSG195*/"Edit Attributes";  // Changes to "Enter Attributes" for
                                          // INSERT with ATTDIA set.
    initial_focus = "edit_1";
    : concatenation {
        : text_part {
            label = /*MSG196*/"Block name: ";
        }
        : text_part {
            key = "block";
            width = 31;
        }
    }
    spacer_1;
    num_items = 10;                   // Customizable
    //  The number of prompt/edit pairs should match the "num_items" setting.
    : row {
        : text {
            key = "prompt_1"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_1";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_2"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_2";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_3"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_3";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_4"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_4";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_5"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_5";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_6"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_6";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_7"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_7";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_8"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_8";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_9"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_9";   edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_10"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_10";  edit_width = 32;  edit_limit = 255;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        cancel_button;
        : retirement_button {
            key = "prev";
            label = /*MSG411*/"Previous";
            mnemonic = /*MSG412*/"P";
        }
        : retirement_button {
            key = "next";
            label = /*MSG413*/" Next ";
            mnemonic = /*MSG414*/"N";
        }
        help_button;
    }
    errtile;
}


acad_person : dialog {
    label = /*MSG200*/"Login to AutoCAD";
    initial_focus = "edit";
    : edit_box {
        key = "edit";
        edit_width = 30;
        edit_limit = 30;
        label = /*MSG201*/"Name:";
        allow_accept = true;
    }
    : toggle {
        label = /*MSG202*/"Save as default";
        key = "toggle";
    }
    ok_cancel_err;
}

acad_dlfname : dialog {               // Single-file dialog
    initial_focus = "fedit";
//    label = /*MSG203*/"Select File";            // Overridden by caller
    key = "dlfname";
    files_topdf;
    : row {
        : list_box {
            label = /*MSG204*/"Directories:";
            mnemonic = /*MSG205*/"D";
            key = "dirbox";
            width = 15;
        }
        : list_box {
            label = /*MSG206*/"Files:";
            mnemonic = /*MSG207*/"i";
            key = "filebox";
            width = 15;
            allow_accept = true;
        }
        : column {
            : image {          // Drawing icon image will go here
                key = "icon";
                color = dialog_background;    // Invisible
                height = 4;
                aspect_ratio = 1.4;
                fixed_height = true;
                fixed_width = true;
            }
            : button {
                label = /*MSG208*/"Type it";
                key = "typeit";
                mnemonic = /*MSG209*/"T";
            }
            : button {
                label = /*MSG210*/"Default";
                key = "default";
                mnemonic = /*MSG211*/"D";
            }
        }
    }
    files_bottomdf;
}

//  acad_dlfmulti is used by the FILES command's Delete and Unlock
//  options.  It is similar to acad_dlfname (above), except that:
//
//    - its file listbox has the "multiple_select" attribute,
//    - its file listbox does not have the "allow_accept" attribute,
//    - it has additional "Select all" and "Clear all" buttons, and
//    - its title bar label is slightly different.
//
//  Modifications to either dialog should be examined for their relevance
//  to the other.

acad_dlfmulti : dialog {              // Multiple-file dialog
    initial_focus = "fedit";
//    label = /*MSG212*/"Select File(s)";         // Overridden by caller
    key = "dlfname";
    files_topdf;
    : row {
        : list_box {
            label = /*MSG213*/"Directories:";
            mnemonic = /*MSG214*/"D";
            key = "dirbox";
            width = 15;
        }
        : list_box {
            label = /*MSG215*/"Files:";
            mnemonic = /*MSG216*/"i";
            key = "filebox";
            width = 15;
            multiple_select = true;
        }
        : column {
            : image {          // Drawing icon image will go here
                key = "icon";
                color = dialog_background;    // Invisible
                alignment = centered;
                height = 4;
                aspect_ratio = 1.4;
                fixed_height = true;
                fixed_width = true;
            }
            spacer_1;
            : button {
                label = /*MSG217*/"Select all";
                key = "all";
                mnemonic = /*MSG218*/"S";
            }
            : button {
                label = /*MSG219*/"Clear all";
                key = "clear";
                mnemonic = /*MSG220*/"C";
                is_enabled = false;
            }
            spacer_1;
            : button {
                label = /*MSG221*/"Type it";
                key = "typeit";
                mnemonic = /*MSG222*/"T";
            }
            : button {
                label = /*MSG223*/"Default";
                key = "default";
                mnemonic = /*MSG224*/"e";
            }
        }
    }
    files_bottomdf;
}

acad_files : dialog {
    label = /*MSG225*/"File Utilities";
    initial_focus = "exit";
    : row {
        : column {
            : button {
                label = /*MSG226*/"List files... ";
                key = "list";
                mnemonic = /*MSG227*/"L";
            }
            : button {
                label = /*MSG228*/"Delete file...";
                key = "delete";
                mnemonic = /*MSG229*/"D";
            }
        }
        : column {
            : button {
                label = /*MSG230*/" Copy file... ";
                key = "copy";
                mnemonic = /*MSG231*/"C";
            }
            : button {
                label = /*MSG232*/"Unlock file...";
                key = "unlock";
                mnemonic = /*MSG233*/"U";
            }
        }
        : column {
            : button {
                label = /*MSG234*/"Rename file...";
                key = "rename";
                mnemonic = /*MSG235*/"R";
            }
            : button {
                label = /*MSG236*/"     Exit     ";
                key = "cancel";
                mnemonic = /*MSG237*/"x";
                is_cancel = true;
                is_default = true;
            }
        }
    }
    errtile;
}

acad_info : dialog {
    label = /*MSG238*/"Program Information";    // Overridden by caller
    key = "acad_info";
    : row {
        : image_button {
            key = "logo";
            width = 8;
            aspect_ratio = 1.0;
            fixed_height = true;
            alignment = top;
            color = dialog_background;
        }
        : paragraph {
            : text_part {
                key = "text1";
                width = 63;
            }
            : text_part {
                key = "text2";
                width = 63;
            }
            : text_part {
                key = "text3";
                width = 63;
            }
            : text_part {
                key = "text4";
                width = 63;
            }
            : text_part {
                key = "text5";
                width = 63;
            }
            : text_part {
                key = "text6";
                width = 63;
            }
        }
    }
    spacer;
    : list_box {
        width = 63;
        height = 10;
        key = "listbox";
    }
    : ok_button {                     // Permit exit via either ENTER
        is_cancel = true;             //   or CTRL-C.
    }
}

init_view : dialog {

    key = "title";
    initial_focus = "listbox";
    : list_box {
        tabs = "33";
        width = 40;
        height = 10;
        key = "listbox";
        allow_accept = true;
    }
    ok_cancel_err;
}

//  The following are for the Tarnhelm DLGCOLOR command.

tarn_colors : dialog {
    label = /*MSG239*/"Dialogue Colors";
    initial_focus = "item_list";
    children_alignment = centered;
    children_fixed_width = true;

    : row {
        : popup_list {
            key = "item_list";
            label = /*MSG240*/"Item:";
            mnemonic = /*MSG241*/"I";
            edit_width = 23;
        }
        : edit_box {
            key = "color_edit";
            label = /*MSG242*/"Color:";
            mnemonic = /*MSG243*/"C";
            edit_width = 10;
        }
        : image {
            key = "color_image";
            height = 1.5;
            width = 3;
            fixed_width = true;
        }
    }
    : errtile { width = 21; alignment = right; }
    : row {
        : button {
            label = /*MSG244*/"Show...";
            mnemonic = /*MSG245*/"S";
            key = "show";
            fixed_width = true;
        }
        : button {
            label = /*MSG246*/"Defaults";
            mnemonic = /*MSG247*/"D";
            key = "defaults";
            fixed_width = true;
        }
        : button {
            label = /*MSG248*/"Read File...";
            mnemonic = /*MSG249*/"R";
            key = "read";
            fixed_width = true;
        }
        : button {
            label = /*MSG250*/"Write File...";
            mnemonic = /*MSG251*/"W";
            key = "write";
            fixed_width = true;
        }
    }
    : row {
        : boxed_row {
            label = "";
            color_palette_0_9;        // Standard colors, plus 0, 8, and 9
        }
        : boxed_row {
            label = "";
            color_palette_250_255;    // Grey shades 250-255
        }
    }
    : column {
        : image_button {
            key = "hiside";
            width = 50;
            height = 6;
        }
        : image_button {
            key = "loside";
            width = 50;
            height = 6;
        }
    }
    ok_cancel;
}

tarn_sample : dialog {
    label = /*MSG252*/"Sample Dialogue";
    : row {
        : button {
            key = "sample_button";
            label = /*MSG253*/"Sample Button";
            mnemonic = /*MSG254*/"B";
            fixed_width = true;
        }
        : text {
            label = /*MSG255*/"Static text";
        }
    }
    : edit_box {
        key = "sample_editbox";
        label = /*MSG256*/"Sample Edit Box:";
        mnemonic = /*MSG257*/"E";
        edit_width = 18;
        value = /*MSG258*/"Edit me";
    }
    : popup_list {
        key = "sample_popup";
        label = /*MSG259*/"Sample Popup List:";
        mnemonic = /*MSG260*/"P";
        list = /*MSG261*/"This is a\nsample\npopup\nlist\nwith\nseveral\nitems\nin it.";
        edit_width = 18;
        value = "1";
    }
    spacer_1;
    : row {
        : list_box {
            key = "sample_listbox";
            list = /*MSG262*/"Sample Listbox\nwith\nsome\ndata\nin it to\ntest\nhow\nwell\nhilighting\nworks";
            width = 20;
            height = 7;
        }
        : column {
            width = 20;
            : boxed_radio_column {
                label = /*MSG263*/"Radio Buttons";
                mnemonic = /*MSG264*/"R";
                : radio_button {
                    key = "rad_1";
                    label = /*MSG0*/"Chocolate";
                    mnemonic = /*MSG0*/"C";
                    value = "1";
                }
                : radio_button {
                    key = "rad_2";
                    label = /*MSG0*/"Strawberry";
                    mnemonic = /*MSG0*/"S";
                }
                : radio_button {
                    key = "rad_3";
                    label = /*MSG0*/"Vanilla";
                    mnemonic = /*MSG0*/"V";
                }
            }
            spacer;
            : boxed_column {
                label = /*MSG0*/"Toggles";
                mnemonic = /*MSG0*/"T";
                : toggle {
                    key = "tog_1";
                    label = /*MSG0*/"Whipped Cream";
                    mnemonic = /*MSG0*/"W";
                    value = "1";
                }
                : toggle {
                    key = "tog_2";
                    label = /*MSG0*/"Nuts";
                    mnemonic = /*MSG0*/"N";
                }
            }
        }
    }
    : ok_button {
        is_cancel = true;
    }
}

//  The preceding are for the Tarnhelm DLGCOLOR command.


acad_plot : dialog {
    label = /*MSG266*/"Plot Configuration";
    : row {
        : column {
            : boxed_column {
                label = /*MSG267*/"Device and Default Information";
                : text {
                    key = "userid";
                    width = 35;
                }
                : button {
                    label = /*MSG268*/"Device and Default Selection...";
                    fixed_width = true;
                    key = "devsel";
                    mnemonic = /*MSG415*/"D";
                    alignment = centered;
                }
            }
            : boxed_row {
                label = /*MSG269*/"Pen Parameters";
                children_fixed_width = true;
                : button {
                    label = /*MSG270*/"Pen Assignments...";
                    mnemonic = /*MSG416*/"P";
                    key = "assign";
                }
                : button {
                    label = /*MSG271*/"Optimization...";
                    mnemonic = /*MSG417*/"O";
                    key = "optimize";
                }
            }
            : boxed_column {
                label = /*MSG272*/"Additional Parameters";
                : row {
                    : radio_column {
                        fixed_width = true;
                        : radio_button {
                            label = /*MSG273*/"Display";
                            mnemonic = /*MSG418*/"y";
                            key = "D";
                        }
                        : radio_button {
                            label = /*MSG275*/"Extents";
                            mnemonic = /*MSG419*/"x";
                            key = "E";
                        }
                        : radio_button {
                            label = /*MSG276*/"Limits";
                            mnemonic = /*MSG420*/"L";
                            key = "L";
                        }
                        : radio_button {
                            label = /*MSG277*/"View";
                            mnemonic = /*MSG421*/"V";
                            key = "V";
                        }
                        : radio_button {
                            label = /*MSG278*/"Window";
                            mnemonic = /*MSG422*/"W";
                            key = "W";
                        }
                    }
                    : column {
                        : toggle {
                            label = /*MSG279*/"Hide Lines";
                            mnemonic = /*MSG423*/"H";
                            key = "hide";
                        }
                        : toggle {
                            label = /*MSG280*/"Adjust Area Fill";
                            mnemonic = /*MSG424*/"j";
                            key = "plfill";
                        }
                        : toggle {
                            label = /*MSG281*/"Plot To File";
                            mnemonic = /*MSG425*/"F";
                            key = "file";
                        }
                    }
                }
                : row {
                    alignment = centered;
                    : button {
                        label = /*MSG282*/"View...";
                        key = "view";
                        mnemonic = /*MSG426*/"e";
                        fixed_width = true;
                    }
                    : button {
                        label = /*MSG283*/"Window...";
                        mnemonic = /*MSG427*/"n";
                        key = "selwind";
                        fixed_width = true;
                    }
                    : button {
                        label = /*MSG284*/"File Name...";
                        mnemonic = /*MSG428*/"a";
                        key = "sfile";
                        fixed_width = true;
                    }
                }
            }
        }
        : column {
                : boxed_column {
                    label = /*MSG285*/"Paper Size and Orientation";
                    : row {
                        : radio_column {
                            fixed_width = true;
                            vertical_margin = tiny;
                            : radio_button {
                                label = /*MSG286*/"Inches";
                                mnemonic = /*MSG429*/"c";
                                key = "I";
                            }
                            : radio_button {
                                label = /*MSG287*/"MM";
                                mnemonic = /*MSG430*/"M";
                                key = "M";
                            }
                        }
                        : row {
                            fixed_width = true;
                            : button {
                                label = /*MSG288*/"Size...";
                                mnemonic = /*MSG431*/"S";
                                key = "sizbuttn";
                                fixed_width = true;
                            }
                            : text {
                                key = "size";
                                width = 6;
                            }
                            : column {
                                spacer;
                                : image {
                                    key = "vec_image";
                                    width = 4.0;
                                    fixed_width = true;
                                    aspect_ratio = 1.0;
                                    color = dialog_background;
                                }
                                spacer;
                            }
                        }
                    }
                    : text {
                        key = "area";
                        width = 25;
                    }
                }
                : boxed_column {
                    label = /*MSG289*/"Scale, Rotation, and Origin";
                    : button {
                        label = /*MSG290*/"Rotation and Origin...";
                        key = "rot&or";
                        alignment = centered;
                        mnemonic = /*MSG432*/"g";
                        fixed_width = true;
                    }
                    : row {
                        : column {
                            children_fixed_width = true;
                            : text {
                                key = "pu";
                                width = 14;
                                alignment = right;
                            }
                            : edit_box {
                                edit_width = 10;
                                key = "punit";
                                alignment = centered;
                            }
                        }
                        : column {
                            children_fixed_width = true;
                            children_alignment = centered;
                            : text {
                                label = "=";
                            }
                            : text {
                                label = "=";
                            }
                        }
                        : column {
                            children_fixed_width = true;
                            : text {
                                label = /*MSG291*/"Drawing Units";
                            }
                            : edit_box {
                                edit_width = 10;
                                key = "dunit";
                                alignment = centered;
                            }
                        }
                    }
                    : toggle {
                        label = /*MSG292*/"Scaled to Fit";
                        mnemonic = /*MSG433*/"t";
                        key = "fit";
                    }
                }
                : boxed_column {
                    label = /*MSG293*/"Plot Preview";
                    : row {
                        children_fixed_width = true;
                        : button {
                            label = /*MSG294*/"Preview...";
                            mnemonic = /*MSG434*/"r";
                            key = "prev";
                        }
                        : radio_row {
                            : radio_button {
                                label = /*MSG295*/"Partial";
                                mnemonic = /*MSG435*/"i";
                                key = "earea";
                            }
                            : radio_button {
                                label = /*MSG296*/"Full";
                                mnemonic = /*MSG436*/"u";
                                key = "full";
                            }
                        }
                    }
                }
        }
    }
    ok_cancel;
    : row {
        : errtile { fixed_width = true; }

        // This spacer_0 between the two fixed-width items serves
        // to left-justify the first and right-justify the second,
        // since it's the only flexible-width item in the row.
        spacer_0;

        : row {
            fixed_width = true;
            : text {
                key = "zero";
                width = 2;
            }
            : image {
                key = "pre_image";
                color = dialog_background;
                height = 1;
                width = 20;
            }
            : text {
                key = "comp";
                width = 4;
            }
        }
    }
}

acad_plwin : dialog {
    label = /*MSG297*/"Window Selection";
        : button {
            label = /*MSG298*/"Pick";
            mnemonic = /*MSG437*/"P";
            key = "pick";
            fixed_width = true;
        }
            : boxed_row {
                label = /*MSG299*/"First Corner";
                mnemonic = /*MSG438*/"F";
                : edit_box {
                    label = /*MSG300*/"   X:";
                    key = "fpx";
                    edit_width = 10;
                }
                : edit_box {
                    label = /*MSG301*/"   Y:";
                    key = "fpy";
                    edit_width = 10;
                }
            }
            : boxed_row {
                label = /*MSG302*/"Other Corner";
                mnemonic = /*MSG439*/"O";
                : edit_box {
                    label = /*MSG303*/"   X:";
                    key = "spx";
                    edit_width = 10;
                }
                : edit_box {
                    label = /*MSG304*/"   Y:";
                    key = "spy";
                    edit_width = 10;
                }
            }
        ok_cancel_err;
}

acad_plopt : dialog {
    aspect_ratio = 0;
    label = /*MSG305*/"Optimizing Pen Motion";
    : column {
        : toggle {
            label = /*MSG306*/"No optimization";
            mnemonic = /*MSG440*/"N";
            key = "0";
        }
        : toggle {
            label = /*MSG307*/"Adds endpoint swap";
            mnemonic = /*MSG441*/"e";
            key = "1";
        }
        : toggle {
            label = /*MSG308*/"Adds pen sorting";
            mnemonic = /*MSG442*/"p";
            key = "2";
        }
        : toggle {
            label = /*MSG309*/"Adds limited motion optimization";
            mnemonic = /*MSG443*/"l";
            key = "3";
        }
        : toggle {
            label = /*MSG310*/"Adds full motion optimization";
            mnemonic = /*MSG444*/"f";
            key = "4";
        }
        : toggle {
            label = /*MSG311*/"Adds elimination of overlapping horizontal or vertical vectors";
            mnemonic = /*MSG445*/"A";
            key = "5";
        }
        : toggle {
            label = /*MSG312*/"Adds elimination of overlapping diagonal vectors";
            mnemonic = /*MSG446*/"d";
            key = "6";
        }
    }
    ok_cancel;
}

acad_plsize : dialog {
    label = /*MSG313*/"Paper Size";
    : row {
        : paragraph {
            : concatenation {
                : text_part {
                    label = /*MSG491*/"Size";
                    width = 8;
                }
                : text_part {
                    label = /*MSG492*/"Width";
                    width = 8;
                }
                : text_part {
                    label = /*MSG493*/"Height";
                }
            }
            : list_box {
                mnemonic = /*MSG447*/"S";
                tabs = "0 8 16";
                key = "listbox";
                width = 25;
                height = 13;
            }
        }
        : column {
            : concatenation {
                alignment = left;
                : text_part {
                    label = /*MSG315*/"Size";
                    width = 9;
                }
                : text_part {
                    label = /*MSG494*/"Width";
                    width = 13;
                }
                : text_part {
                    label = /*MSG316*/"Height";
                }
            }
            : row {
                : edit_box {
                    key = "0w";
                    label = /*MSG317*/"USER: ";
                    mnemonic = /*MSG448*/"U";
                    edit_width = 10;
                }
                : edit_box {
                    key = "0h";
                    label = " ";
                    edit_width = 10;
                }
            }
            : row {
                : edit_box {
                    key = "1w";
                    label = /*MSG318*/"USER1:";
                    mnemonic = "1";
                    edit_width = 10;
                }
                : edit_box {
                    key = "1h";
                    label = " ";
                    edit_width = 10;
                }
            }
            : row {
                : edit_box {
                    key = "2w";
                    label = /*MSG319*/"USER2:";
                    mnemonic = "2";
                    edit_width = 10;
                }
                : edit_box {
                    label = " ";
                    key = "2h";
                    edit_width = 10;
                }
            }
            : row {
                : edit_box {
                    label = /*MSG320*/"USER3:";
                    mnemonic = "3";
                    key = "3w";
                    edit_width = 10;
                }
                : edit_box {
                    label = " ";
                    key = "3h";
                    edit_width = 10;
                }
            }
            : row {
                : edit_box {
                    label = /*MSG321*/"USER4:";
                    mnemonic = "4";
                    key = "4w";
                    edit_width = 10;
                }
                : edit_box {
                    label = " ";
                    key = "4h";
                    edit_width = 10;
                }
            }
            : row {
                : column {
                    spacer_1;
                    : concatenation {
                        alignment = centered;
                        : text_part {
                            label = /*MSG322*/"Orientation is ";
                        }
                        : text_part {
                            key = "land";
                            width = 10;
                        }               
                    }
                    spacer;
                }
                : column {
                    spacer;
                    : image {
                        key = "vec_image";
                        width = 4.0;
                        fixed_width = true;
                        aspect_ratio = 1.0;
                        color = dialog_background;
                    }
                    spacer;
                } 
            }
        }
    }
    ok_cancel_err;
}

acad_plpen : dialog {
    label = /*MSG325*/"Pen Assignments";
    : column {
        : row {
            : paragraph {
                : concatenation {
                    : text_part {
                        label = /*MSG326*/"Color    Pen No.";
                        key = "1";
                        width = 20;
                    }
                    : text_part {
                        label = /*MSG327*/"Linetype";
                        key = "2";
                        width = 11;
                    }
                    : text_part {
                        label = /*MSG328*/"Speed";
                        key = "3";
                        width = 7;
                    }
                    : text_part {
                        label = /*MSG329*/"Pen Width";
                        key = "4";
                    }
                }
                : list_box {
                    tabs = "2 11 22 32 38";
                    key = "listbox";
                    multiple_select = true;
                    width = 50;
                }
            }
            : boxed_column {
                label = /*MSG330*/"Modify Values";
                : row {
                    : text {
                        label = /*MSG331*/"Color: ";
                        fixed_width = true;
                    }
                    : image {
                        key = "color_image";
                        width = 4.0;
                        height = 0.5;
                    }
                }
                : text {
                    width = 13;
                    key = "varies";
                }
                : edit_box {
                    label = /*MSG332*/"Pen:  ";
                    key = "penno";
                    mnemonic = /*MSG451*/"P";
                    edit_width = 8;
                }
                : edit_box {
                    key = "ltype";
                    label = /*MSG333*/"Ltype:";
                    mnemonic = /*MSG452*/"L";
                    edit_width = 8;
                }
                : edit_box {
                    label = /*MSG334*/"Speed:";
                    mnemonic = /*MSG453*/"S";
                    key = "speed";
                    edit_width = 8;
                }
                : edit_box {
                    label = /*MSG335*/"Width:";
                    mnemonic = /*MSG454*/"W";
                    key = "width";
                    edit_width = 8;
                }
            }
        }
        : row {
            : button {
                label = /*MSG336*/"Feature Legend...";
                key = "legend";
                mnemonic = /*MSG455*/"F";
                fixed_width = true;
            }
            : edit_box {
                label = /*MSG337*/"Pen Width:";
                key = "lpwidth";
                edit_width = 8;
                mnemonic = /*MSG456*/"e";
                fixed_width = true;
            }
        }
    }
    ok_cancel_err;
}

acad_plpre : dialog {
    label = /*MSG338*/"Preview Effective Plotting Area";
        : image {
            key = "pimage";
            height = 11.25;
            width = 25;
            fixed_width = true;
            fixed_height = true;
            alignment = centered;
        }
        : row {
            : image {
                key = "cpaper";
                width = 2.0;
                color = red;
                height = 0.1;
                fixed_width = true;
                fixed_height = true;
            }
            : text {
                key = "paper";
                width = 50;
            }
        }
        : row {
            : image {
                key = "earea";
                width = 2.0;
                color = blue;
                height = 0.1;
                fixed_width = true;
                fixed_height = true;
            }
            : text {
                key = "area";
                width = 50;
            }
        }
        : row {
            : image {
                key = "clip";
                width = 2.0;
                height = 0.1;
                fixed_width = true;
                fixed_height = true;
            }
            : text {
                key = "cliptxt";
                width = 50;
            }
        }
        : text {
            width = 50;
            key = "warn";
        }
        : list_box {
            height = 3;
            key = "listbox";
        }
    ok_button;
}

acad_plok : dialog {
   label = /*MSG339*/"Plot Preview";
   : button {
       label = /*MSG340*/"Pan and Zoom";
       mnemonic = /*MSG457*/"P";
       key = "zoomd";
   }
   : button {
       key = "accept";
       label = /*MSG341*/"End Preview";
       mnemonic = /*MSG458*/"E";
       is_cancel = true;
   }
}

acad_plokcan : dialog {
    label = /*MSG342*/"Plot Preview";
    : button {
        label = /*MSG343*/"Zoom Previous";
        mnemonic = /*MSG459*/"Z";
        key = "zoomd";
    }
    : button {
        key = "accept";
        label = /*MSG344*/"End Preview";
        mnemonic = /*MSG460*/"E";
        is_cancel = true;
    }
}

acad_devinf : dialog {
    label = /*MSG345*/"Device and Default Selection";
    : boxed_column {
        label = /*MSG346*/"Select Device";
        : concatenation {
            : text_part {
                label = /*MSG347*/"Manufacturer: ";
                fixed_width = true;
            }
            : text_part {
                key = "device";
                width = 50;
            }
        }
        : concatenation {
            : text_part {
                label = /*MSG348*/"Port: ";
            }
            : text_part {
                key = "port";
                width = 50;
            }
        }
        : list_box {
            key = "listbox";
            width = 60;
            height = 6;
            tabs = "36";
        }
    }
    : boxed_row {
        label = /*MSG349*/"File Defaults";
        : button {
            label = /*MSG350*/"Save Defaults To File...";
            mnemonic = /*MSG461*/"S";
            key = "sfile";
        }
        : button {
            label = /*MSG351*/"Get Defaults From File...";
            mnemonic = /*MSG462*/"G";
            key = "ffile";
        }
    }
    : boxed_row {
        label = /*MSG352*/"Device Specific Configuration";
        : button {
            label = /*MSG353*/"Show Device Requirements...";
            mnemonic = /*MSG463*/"h";
            key = "showreq";
            is_enabled = false;
        }
        : button {
            label = /*MSG354*/"Change Device Requirements...";
            mnemonic = /*MSG464*/"C";
            key = "cfgreq";
            is_enabled = false;
        }
    }
    ok_cancel_err;
}

acad_plferr : dialog {
    label = /*MSG355*/"Error Information On File Defaults";
    : list_box {
        width = 62;
        height = 8;
        key = "listbox";
    }
    : row {
        spacer_0;
        : row {
            fixed_width = true;
            : button {
                key = "save";
                label = /*MSG356*/"Create Error File";
                mnemonic = /*MSG465*/"C";
            }
            : spacer {
                width = 2;
            }
            ok_button;
        }
        spacer_0;
    }
    errtile;
}

acad_rotor : dialog {
    label = /*MSG357*/"Plot Rotation and Origin";
    : boxed_radio_row {
        label = /*MSG358*/"Plot Rotation";
        : radio_button {
            label = "0";
            mnemonic = "0";
            key = "0";
        }
        : radio_button {
            mnemonic = "9";
            label = "90";
            key = "90";
        }
        : radio_button {
            mnemonic = "1";
            label = "180";
            key = "180";
        }
        : radio_button {
            mnemonic = "2";
            label = "270";
            key = "270";
        }
    }
    : boxed_row {
        label = /*MSG359*/"Plot Origin";
        : edit_box {
            label = /*MSG360*/"X Origin:";
            key = "originx";
            mnemonic = /*MSG466*/"X";
            edit_width = 10;
        }
        : edit_box {
            label = /*MSG361*/"Y Origin:";
            mnemonic = /*MSG467*/"Y";
            key = "originy";
            edit_width = 10;
        }
    }
    spacer;
    ok_cancel_err;
}


acad_dwgmod : dialog {
   label = /*MSG362*/"Drawing Modification";
   initial_focus = "save";
   : column {
       : text {
           label = /*MSG363*/"The current drawing has been changed.";
           alignment = centered;
       }
       : row {
           : button {
               label = /*MSG364*/"Save Changes...";
               is_default = true;
               mnemonic = /*MSG365*/"S";
               key = "save";
           }
           : button {
               label = /*MSG366*/"Discard Changes";
               mnemonic = /*MSG367*/"D";
               key = "discard";
           }
           : button {
               label = /*MSG368*/"Cancel Command";
               is_cancel = true;
               mnemonic = /*MSG369*/"C";
               key = "cancel";
           }
       }
   }
}

acad_newdwg : dialog {
    label = /*MSG370*/"Create New Drawing";
    initial_focus = "fedit";
    : boxed_column {
        : row {
            : button {
                label = /*MSG371*/"Prototype...";
                key = "template";
                mnemonic = /*MSG372*/"P";
            }
            : edit_box {
                key = "protype";
                width = 35;
                fixed_width = true;
            }
        }
        : column {
            : toggle {
                label = /*MSG373*/"No Prototype";
                mnemonic = /*MSG374*/"N";
                key = "dflts";
                value = "0";
            }
            : toggle {
                label = /*MSG375*/"Retain as Default";
                key = "retain";
                mnemonic = /*MSG376*/"R";
                value = "0";
            }
        }
    }
    spacer_1;
    : column {
        : row {
            : button {
                label = /*MSG377*/"New Drawing Name...";
                key = "fdialog";
                mnemonic = /*MSG378*/"D";
            }
            : edit_box {
                key = "fedit";
                edit_width = 35;
                fixed_width = true;
                allow_accept = true;
            }
        }
    }
    ok_cancel_err;
}

// acad_opendwg is used by the OPEN command and is the same as
// acad_dlfname except it has additional toggles:
//          Select Initial View and Read Only Mode
// and the title is fixed in the definition.

acad_opendwg : dialog {
    label = /*MSG379*/"Open Drawing";
    initial_focus = "fedit";
    files_topdf;
    : row {
        : list_box {
            label = /*MSG380*/"Directories:";
            mnemonic = /*MSG381*/"D";
            key = "dirbox";
            width = 15;
        }
        : list_box {
            label = /*MSG382*/"Files:";
            mnemonic = /*MSG383*/"F";
            key = "filebox";
            width = 15;
            allow_accept = true;
        }
        : column {
            : image {          // Drawing icon image will go here
                key = "icon";
                color = dialog_background;    // Invisible
                height = 4;
                aspect_ratio = 1.4;
                fixed_height = true;
                fixed_width = true;
            }
            : button {
                label = /*MSG384*/"Type it";
                key = "typeit";
                mnemonic = /*MSG385*/"T";
            }
            : button {
                label = /*MSG386*/"Default";
                key = "default";
                mnemonic = /*MSG387*/"D";
            }
        }
    }
    : row {
        : toggle {
            label = /*MSG388*/"Select Initial View";
            key = "vselect";
            value = "0";
            mnemonic = /*MSG389*/"S";
        }
        : toggle  {
            label = /*MSG390*/"Read Only Mode";
            key = "read";
            value = "0";
            mnemonic = /*MSG391*/"R";
        }
    }
    files_bottomdf;
}

acad_reinit : dialog {
    label = /*MSG392*/"Re-initialization";
    : boxed_column {
        label = /*MSG393*/"I/O Port Initialization";
        : row {
            : toggle {
                label = /*MSG394*/"Digitizer";
                key = "1";
                value = "0";
                mnemonic = /*MSG395*/"D";
            }
            : toggle {
                label = /*MSG396*/"Plotter";
                key = "2";
                value = "0";
                mnemonic = /*MSG397*/"P";
            }
        }
    }
    : boxed_column {
        label = /*MSG398*/"Device & File Initialization";
        : toggle {
            label = /*MSG399*/"Digitizer";
            key = "g";
            value = "0";
            mnemonic = /*MSG400*/"g";
        }
        : toggle {
            label = /*MSG401*/"Display";
            key = "s";
            value = "0";
            mnemonic = /*MSG402*/"s";
        }
        : toggle {
            label = /*MSG403*/"PGP File";
            key = "p";
            value = "0";
            mnemonic = /*MSG404*/"F";
        }
    }
    ok_cancel;
}
