//-------------------------------------------------------------------------
//
//      ASE.DCL
//
//      Copyright (C) 1991-1992 by Autodesk, Inc.
//         
//      Permission to use, copy, modify, and distribute this software 
//      for any purpose and without fee is hereby granted, provided 
//      that the above copyright notice appears in all copies and that 
//      both that copyright notice and this permission notice appear in 
//      all supporting documentation.
//
//      THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//      WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//      PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//
//-------------------------------------------------------------------------

dcl_settings : default_dcl_settings { audit_level = 0; }

ase_errtile : text {
        label = "";
        key = "error";
//        width = 35 ;         // NOTE: set width as unlimited
        is_error_tile = true;
}

ase_ok_cancel_err : column {
    ok_cancel;
    ase_errtile;
}

values10_list : column {       
  width = 50 ; 
  : list_box {
    key = "list_values" ;
    label = "Values" ;
    mnemonic = "V" ;
    height = 10 ;
    value = "0" ;
  }
}

values9_list : column {       
  width = 50 ; 
  : list_box {
    key = "list_values" ;
    mnemonic = "V" ;
    height = 9 ;
    value = "0" ;
  }
}

values8_list : column {       
  width = 50 ; 
  : list_box {
    key = "list_values" ;
    mnemonic = "V" ;
    height = 8 ;
    value = "0" ;
  }
}

values7_list : column {       
  width = 50 ; 
  : list_box {
    key = "list_values" ;
    mnemonic = "V" ;
    height = 7 ;
    value = "0" ;
  }
}

values3_list : column {       
  width = 50 ; 
  : list_box {
    key = "list_values" ;
    label = "Values" ;
    mnemonic = "V" ;
    height = 3 ;
    value = "0" ;
  }
}

l_slider : column {
  width = 50 ;
  is_enabled = false ;
  : slider {
    key = "slider_list" ;
    value = "0" ;
    min_value = 0 ;
    max_value = 5000 ;
    small_increment = 200 ;
    big_increment = 1000 ;
  }
} 

high_buttons : column {
  alignment = centered ;
  horizontal_alignment = centered ;
  vertical_alignment = centered ;
  : button {
     key = "button_highlight" ;
     label = "Highlight" ;
     mnemonic = "H" ;
  }
  : button {
     key = "button_unhighlight" ;
     label = "Unhighlight" ;
     mnemonic = "U" ;
  }
}

nav_buttons : column {
  alignment = centered ;
  horizontal_alignment = centered ;
  vertical_alignment = centered ;
  : button {
    key = "button_next" ;
    label = "Next" ;
    mnemonic = "N" ;
  }
  : button {
    key = "button_previous" ;
    label = "Previous" ;
    mnemonic = "P" ;
  }
  : button {
    key = "button_first" ;
    label = "First" ;
    mnemonic = "F" ;
  }
  : button {
    key = "button_last" ;
    label = "Last" ;
    mnemonic = "L" ;
  }
}

stm_slider : column {
  width = 50 ;
  :text {
    key = "text_stm" ;
    value = "" ;
    label = "" ;
    horizontal_alignment = centered ;
  }
  : slider {
    key = "slider_stm" ;
    value = "0" ;
    min_value = 0 ;
    max_value = 5000 ;
    height = 1 ;
    small_increment = 200 ;
    big_increment = 1000 ;
  } 
}

msg_text : column {
  width = 50 ;
  : text {
    key = "text_1" ;
    value = "" ;
    label = "" ;
    horizontal_alignment = centered ;
    vertical_alignment = centered ;
  }
  : text {
    key = "text_2" ;
    value = "" ;
    label = "" ;
    horizontal_alignment = centered ;
    vertical_alignment = centered ;
  }
  : text {
    key = "text_3" ;
    value = "" ;
    label = "" ;
    horizontal_alignment = centered ;
    vertical_alignment = centered ;
  }
}

m_name : boxed_column {
  label = "Current Settings" ;
  width = 50 ;
  : text {
    key = "text_dbms" ;
    value = "" ;
    label = "" ;
  }
}

mb_name : boxed_column {
  width = 50 ;
  label = "Current Settings" ;
  : text {
    key = "text_dbms" ;
    value = "" ;
    label = "" ;
  }
  : text {
    key = "text_db" ;
    value = "" ;
    label = "" ;
  }
}

mbt_name : boxed_column {
  width = 50 ;
  label = "Current Settings" ;
  : text {
    key = "text_dbms" ;
    value = "" ;
    label = "" ;
  }
  : text {
    key = "text_db" ;
    value = "" ;
    label = "" ;
  }
  : text {
    key = "text_tbl" ;
    value = "" ;
    label = "" ;
  }
}

link_path : boxed_column {
  width = 50 ;
  label = "Link Path" ;
  : text {
    key = "text_dbms" ;
    value = "" ;
    label = "" ;
    horizontal_alignment = centered ;
    vertical_alignment = centered ;
  }
  : text {
    key = "text_db" ;
    value = "" ;
    label = "" ;
    horizontal_alignment = centered ;
    vertical_alignment = centered ;
  }
  : text {
    key = "text_tbl" ;
    value = "" ;
    label = "" ;
    horizontal_alignment = centered ;
    vertical_alignment = centered ;
  }
}

confirm : dialog {
  label = "ASE Confirmation" ;
  msg_text ;
  : row {
    fixed_width = true ;
    alignment = centered ;
    : button {
      key = "button_yes" ;
      label = "Yes" ;
      mnemonic = "Y" ;
      is_default = true ;
    }
    : spacer { width = 2 ; }
    : button {
      key = "button_no" ;
      label = "No" ;
      mnemonic = "N" ;
      is_cancel = true ;
    }
  }
}

message : dialog {
  label = "ASE Message" ;
  msg_text ;
  ok_only ;
}

sqlerr : dialog {
  label = "SQL Error Message" ;
  stm_slider ;
  msg_text ;
  ok_only ;
}

termdbms : dialog {
    label = "Terminate DBMS Driver";
    initial_focus = "edit_dbms";
    : column{
      : list_box {
         key = "list_dbms";
         label = "DBMS Drivers";
         height = 4 ;
         width = 30 ;
         mnemonic = "B" ;
      }
      :edit_box {
         key = "edit_dbms" ;
         label = "Driver:" ;
         edit_limit = 32 ;
         mnemonic = "D" ; 
      }
    }
    ok_cancel_err ;
}

getdbmsname : dialog {
    label = "Set DBMS Driver";
    initial_focus = "edit_dbms";
    : column{
      : list_box {
         key = "list_dbms";
         label = "DBMS Drivers";
         height = 4 ;
         width = 30 ;
         mnemonic = "B" ;
      }
      :edit_box {
         key = "edit_dbms" ;
         label = "Driver:" ;
         edit_limit = 32 ;
         mnemonic = "D" ; 
      }
    }
    ok_cancel_err ;
}

getdbname : dialog {
  label = "Set Current Database";
  initial_focus = "edit_db";
  m_name ;
  : column{
    : list_box {
       key = "list_db";
       label = "Attached Databases";
       height = 4 ;
       mnemonic = "D" ;
    }
    :edit_box {
       key = "edit_db" ;
       label = "Database:" ;
       edit_limit = 18 ;
       mnemonic = "b" ;
    }
  }
  ase_ok_cancel_err ;
}

closedb : dialog {
  label = "Close Database";
  initial_focus = "edit_db";
  m_name ;
  : column{
    : list_box {
       key = "list_db";
       label = "Attached Databases";
       height = 4 ;
       mnemonic = "D" ;
    }
    :edit_box {
       key = "edit_db" ;
       label = "Database:" ;
       edit_limit = 18 ;
       mnemonic = "b" ;
    }
  }
  ase_ok_cancel_err ;
}

tblget : dialog {
  label = "Set Current Table";
  initial_focus = "edit_tbl";
  mb_name ;
  : column{
    : list_box {
       key = "list_tbl";
       label = "Attached Tables";
       height = 4 ;
       mnemonic = "T" ;
    }
    :edit_box {
       key = "edit_tbl" ;
       label = "Table:" ;
       edit_limit = 18 ;
       mnemonic = "b" ;
    }
  }
  ase_ok_cancel_err ;
}

erasedbms : dialog {
    label = "Erase DBMS Driver";
    initial_focus = "edit_dbms";
    : column{
      : list_box {
         key = "list_dbms";
         label = "DBMS Drivers";
         height = 4 ;
         width = 30 ;
         mnemonic = "B" ;
      }
      :edit_box {
         key = "edit_dbms" ;
         label = "Driver:" ;
         edit_limit = 18 ;
         mnemonic = "D" ; 
      }
    }
    ok_cancel_err ;
}

erasedb : dialog {
  label = "Erase Database";
  initial_focus = "edit_db";
  m_name ;
  : column{
    : list_box {
       key = "list_db";
       label = "Attached Databases";
       height = 4 ;
       mnemonic = "D" ;
    }
    :edit_box {
       key = "edit_db" ;
       label = "Database:" ;
       edit_limit = 18 ;
       mnemonic = "b" ;
    }
  }
  ase_ok_cancel_err ;
}

erasetbl : dialog {
  label = "Erase Table";
  initial_focus = "edit_tbl";
  mb_name ;
  : column{
    : list_box {
       key = "list_tbl";
       label = "Attached Tables";
       height = 4 ;
       mnemonic = "T" ;
    }
    :edit_box {
       key = "edit_tbl" ;
       label = "Table:" ;
       edit_limit = 18 ;
       mnemonic = "b" ;
    }
  }
  ase_ok_cancel_err ;
}

password : dialog {
  label = "Connecting to Database";
  initial_focus = "edit_username";
  mb_name ;
  value = "Set Database Please Enter";
  : edit_box {
    key = "edit_username" ;
    label = "Username:" ;
    edit_limit = 19 ;
    mnemonic = "U"; 
  }
  : edit_box {
    key = "edit_password" ;
    label = "Password:" ;
    edit_limit = 19 ;
    mnemonic = "P"; 
  }
  ok_cancel ;
}

asecursor_view : dialog {
  label = "Set Current Row by Search Criteria" ;
  initial_focus = "list_values" ;
  mbt_name ;
  : row {
    : column {
      stm_slider ;
      : text {
        key = "text_rownumber" ;
        value = "" ;
        label = "" ;
      }
      values7_list ;
      l_slider ;
    }
      : cluster {        
        children_fixed_height = true;
        children_alignment = centered;
        : column {
          spacer ;
          spacer ;
          nav_buttons ;
          high_buttons;
          spacer ;
        }
    }
  }
  ase_ok_cancel_err ;
}

asecursor_edit : dialog {
  label = "Edit SQL Selection Set" ;
  initial_focus = "list_values" ;
  mb_name ;
  : row {
    : column {       
      stm_slider ;
      : text {
          key = "text_rownumber" ;
          value = "" ;
          label = "" ;
      }
      values8_list ;
      l_slider ;
      spacer ;
      : edit_box {
        key = "edit_value" ;
        label = "Edit:" ;
        edit_limit = 255 ;
        mnemonic = "E" ;
        horizontal_alignment = left ;
      }
      ase_errtile;
    }
    : cluster {
      children_fixed_height = true;
      children_alignment = centered;
      : column { 
        nav_buttons;
        high_buttons;
        : button {                        
            key = "button_select"   ;
            label = "Sel. Set" ;
            mnemonic = "S" ;
            alignment = centered ;
        }
        : button {
            key = "button_delete" ;
            label = "Delete" ;
            mnemonic = "D" ;
            alignment = centered ;
        }
        : row {
          : toggle {
            key = "toggle_update" ;
            label = "" ;
            value = "0" ;
            width = 1 ;
          }
          : button {
            key = "button_update" ;
            label = "Update" ;
            mnemonic = "U" ;
            alignment = centered ;
            width = 6 ;
            is_enabled = false ; 
          }
        }
        : button {
          label = "Exit";
          key = "accept";
          width  = 11;
          alignment = centered;
          is_cancel = true;
          is_default  = true;
          mnemonic = "x";
        }
      }
    }
  }
}

row_edit : dialog {
  label = "Edit Row" ;
  initial_focus = "list_values" ;
  mbt_name ;
  values9_list ;
  l_slider ;
  : row {
    : edit_box {
      key = "edit_value" ;
      label = "Edit:" ;
      edit_limit = 255 ;
      mnemonic = "E" ;
      horizontal_alignment = left ;
    }
  }
  ase_ok_cancel_err ;
}

row_add : dialog {
  label = "Add Row" ;
  initial_focus = "list_values" ;
  mbt_name ;
  values9_list ;
  l_slider ;
  : row {
    : edit_box {
      key = "edit_value" ;
      label = "Edit:" ;
      edit_limit = 255 ;
      mnemonic = "E" ;
      horizontal_alignment = left ;
    }
  }
  ase_ok_cancel_err ;
}

row_view : dialog {
  label = "View Row" ;
  mbt_name ;
  values9_list ;
  l_slider ;
  ok_only ;
}


row_setrow : dialog {
  label = "Set Current Row by Key Values" ;
  initial_focus = "edit_value" ;
  mbt_name ;
  values3_list ;
  l_slider ;
  : row {
    : edit_box {
      key = "edit_value" ;
      label = "Edit:" ;
      edit_limit = 255 ;
      mnemonic = "E" ;
      horizontal_alignment = left ;
    }
  }
  ase_ok_cancel_err ;
}

row_editlink : dialog {
  label = "Edit Link Key Values" ;
  initial_focus = "list_values" ;
  mbt_name ;
  values3_list ;
  l_slider ;
  : row {
    : edit_box {
      key = "edit_value" ;
      label = "Edit:" ;
      edit_limit = 255 ;
      mnemonic = "E" ;
      horizontal_alignment = left ;
    }
  }
  ase_ok_cancel_err ;
}


link_view : dialog {
  label = "View Link" ;
  link_path ;
  : text {
    key = "text_rownumber" ;
    value = "" ;
    label = "" ;
    width = 50 ;
    horizontal_alignment = centered ;
    vertical_alignment = centered ;
  }
  : row {
    : column {       
      values3_list ;
      l_slider ;
      : list_box {
        key = "list_cols" ;
        label = "DA Columns" ;
        width = 50 ;
        height = 3 ;
        horizontal_alignment = centered ;
        vertical_alignment = centered ;
        mnemonic = "D" ;
        value = "0" ;
      }
    }
    nav_buttons ;       
  }
  ok_only ;
  spacer ; 
}

link_select : dialog {
  label = "Selection Link" ;
  initial_focus = "list_values" ;
  link_path ;
  : text {
    key = "text_rownumber" ;
    value = "" ;
    label = "" ;
    width = 50 ;
    horizontal_alignment = centered ;
    vertical_alignment = centered ;
  }
  : row {
    : column { 
      values3_list ;
      l_slider ;      
      : list_box {
        key = "list_cols" ;
        label = "DA columns" ;
        width = 50 ;
        height = 3 ;
        horizontal_alignment = centered ;
        vertical_alignment = centered ;
        mnemonic = "D" ;
        value = "0" ;
      }
    }
    nav_buttons ;
  }
  ok_cancel ;
  spacer ; 
}


link_edit : dialog {
  label = "Edit Link" ;
  initial_focus = "list_values" ;
  link_path ;
  : text {
    key = "text_rownumber" ;
    value = "" ;
    label = "" ;
    width = 50 ;
    horizontal_alignment = centered ;
    vertical_alignment = centered ;
  }
  : row {
    : column {       
      spacer ;
      values3_list ;
      l_slider ;
      : list_box {
        key = "list_cols" ;
        label = "DA Columns" ;
        width = 50 ;
        height = 3 ;
        horizontal_alignment = centered ;
        vertical_alignment = centered ;
        mnemonic = "D" ;
        value = "0" ;
      }
    }
    : cluster {        
      children_fixed_height = true;
      children_alignment = centered;
      : column { 
        nav_buttons ;       
        : button {
          key = "button_proceed" ;
          label = "Proceed..." ;
          mnemonic = "P" ;
          alignment = centered ;
        } 
      }
    }
  }
  ok_only ;
}

cols_get : dialog {
  label = "Select Key Columns" ;
  initial_focus = "list_cols" ;
  mbt_name ;
  : row {
    : list_box {
      key = "list_cols" ;
      label = "Column Names                      Key"  ;
      height = 7 ;
      width = 40 ;
      horizontal_alignment = centered ;
      vertical_alignment = centered ;
      mnemonic = "C" ;
      value = "0" ;
    }
    : column {
      spacer ;
      : button {
        key = "button_on" ;
        label = "On" ;
        mnemonic = "n" ;
        width = 8 ;
        fixed_width = true ;
        alignment = centered ;
      } 
      : button {
        key = "button_off" ;
        label = "Off" ;
        mnemonic = "f" ;
        width = 8 ;
        fixed_width = true ;
        alignment = centered ;
      } 
      : button {
        key = "button_allon" ;
        label = "All" ;
        mnemonic = "A" ;
        width = 8 ;
        fixed_width = true ;
        alignment = centered ;
      } 
      : button {
        key = "button_alloff" ;
        label = "Reset" ;
        mnemonic = "R" ;
        width = 8 ;
        fixed_width = true ;
        alignment = centered ;
      } 
    }
  }
  ase_ok_cancel_err ;
}

getkeyvals : dialog {
  label = "Edit Link Options" ;
  initial_focus = "edit_value";
  mbt_name ;
  : text {
    key = "text_editval" ;
    label = "Enter Search Criteria:" ;
    horizontal_alignment = centered ;
  }
  : edit_box {
    key = "edit_value" ;
    label = "Criteria:" ;
    edit_limit = 255 ;
    mnemonic = "C" ;
  }
  : row {
    spacer ;
    : button {
      key = "button_key" ;
      label = "Key..." ;
      mnemonic = "K" ;
      width = 12 ;
      fixed_width = true ;
      alignment = centered ;
      horizontal_alignment = centered ;
      vertical_alignment = centered ;
    }
    : button {
      key = "button_search" ;
      label = "Search..." ;
      mnemonic = "S" ;
      width = 12 ;
      fixed_width = true ;
      alignment = centered ;
      horizontal_alignment = centered ;
      vertical_alignment = centered ;
    }
    cancel_button ;
    spacer ;
  }
  ase_errtile;
}

getrowkeyvals : dialog {
  label = "Set Row Options" ;
  initial_focus = "edit_value" ;
  mbt_name ;
  : text {
    key = "text_editval" ;
    label = "Enter Search Criteria" ;
    horizontal_alignment = centered ;
  }
  : edit_box {
    key = "edit_value" ;
    label = "Criteria:" ;
    edit_limit = 255 ;
    mnemonic = "C" ;
  }
  : row {
    : button {
      key = "button_key" ;
      label = "Key..." ;
      mnemonic = "K" ;
      width = 12 ;
      fixed_width = true ;
      alignment = centered ;
      horizontal_alignment = centered ;
      vertical_alignment = centered ;
    }
    : button {
      key = "button_search" ;
      label = "Search..." ;
      mnemonic = "S" ;
      width = 12 ;
      fixed_width = true ;
      alignment = centered ;
      horizontal_alignment = centered ;
      vertical_alignment = centered ;
    }
    : button {
      key = "button_graphical" ;
      label = "Graphical <" ;
      mnemonic = "G" ;
      width = 12 ;
      fixed_width = true ;
      alignment = centered ;
      horizontal_alignment = centered ;
      vertical_alignment = centered ;
    }
    cancel_button ;
  }
  ase_errtile;
}

dacols : dialog {
  label = "Make Displayable Attribute" ;
  initial_focus = "list_tabcols" ;
  mbt_name ;
  : row {
    : column {
      : list_box {
        key = "list_tabcols" ;
        label = "Table Columns"  ;
        height = 7 ;
        width = 20 ;
        horizontal_alignment = centered ;
        vertical_alignment = centered ;
        mnemonic = "T" ;
        value = "0" ;
      }
    }
    : column {
      : list_box {
        key = "list_dacols" ;
        label = "DA Columns"  ;
        height = 7 ;
        width = 20 ;
        horizontal_alignment = centered ;
        vertical_alignment = centered ;
        mnemonic = "D" ;
        value = "0" ;
      }
    }
  }
  : row {
    : button {
      key = "button_get" ;
      label = "Replace" ;
      mnemonic = "R" ;
      width = 8 ;
      fixed_width = true ;
      alignment = centered ;
    } 
    : button {
      key = "button_insert" ;
      label = "Insert" ;
      mnemonic = "I" ;
      width = 8 ;
      fixed_width = true ;
      alignment = centered ;
    } 
    : button {
      key = "button_erase" ;
      label = "Erase" ;
      mnemonic = "E" ;
      width = 8 ;
      fixed_width = true ;
      alignment = centered ;
    } 
    : button {
      key = "button_reset" ;
      label = "Erase all" ;
      mnemonic = "a" ;
      width = 8 ;
      fixed_width = true ;
      alignment = centered ;
    } 
  }
  ok_cancel ;
}


sql_getstm : dialog {
  label = "SQL Editor" ;
  initial_focus = "edit_value";
  mb_name ;
  : text {
    key = "text_editval" ;
    label = "Enter SQL Statement";
    horizontal_alignment = centered ;
  }
  :edit_box {
    key = "edit_value" ;
    label = "SQL:" ;
    edit_limit = 255 ;
    mnemonic = "S" ; 
  }
  : row {
    spacer ;
    : button {
      key = "button_file" ;
      label = "File..." ;
      mnemonic = "F" ;
      width = 8 ;
      fixed_width = true ;
      alignment = centered ;
    } 
    : button {
        key = "button_history" ;
        label = "History..." ;
        mnemonic = "H" ;
        width = 10 ;
        fixed_width = true ;
        alignment = centered ;
    } 
    : button {
        label  = "Execute...";
        key    = "accept";
        width  = 10;
        fixed_width  = true;
        is_default  = true;
        mnemonic = "E";
    }
    : button {
        label = "Exit";
        key = "cancel";
        fixed_width  = true;
        width  = 8;
        alignment = centered;
        is_cancel       = true;
        mnemonic = "x";
    }
    spacer ;
  }
  ase_errtile;
}

sql_oldstm : dialog {
  label = "History of SQL Statements" ;
  initial_focus = "list_values";
  mb_name ;
  values10_list ;
  l_slider ;
  ok_cancel ;
}

sql_getfile : dialog {
  label = "SQL Filename" ;
  initial_focus = "edit_value";
  mb_name ;
  : edit_box {
    key = "edit_pattern" ;
    label = "Pattern" ; 
    edit_limit = 128 ;
    mnemonic = "P" ;
  }
  : text {
    key = "text_dir" ;
    value = "" ;
    label = "" ;
    horizontal_alignment = centered ;
    vertical_alignment = centered ;
  }
  : row {
    : list_box {
      key = "list_dir" ;
      label = "Directories" ;
      mnemonic = "D" ;
      width = 15 ;
      height = 8 ;
      horizontal_alignment = centered ;
      vertical_alignment = centered ;
      value = "0" ;
    }
    : list_box {
      key = "list_file" ;
      label = "Files" ;
      mnemonic = "F" ;
      width = 15 ;
      height = 8 ;
      horizontal_alignment = centered ;
      vertical_alignment = centered ;
      value = "0" ;
    }
  }
  : edit_box {
    key = "edit_value" ;
    label = "Filename" ;
    edit_limit = 128 ;
    mnemonic = "n" ; 
  }
  ase_ok_cancel_err ;
}

asemakerep : dialog {
  label = "ASE Make Report" ;
  initial_focus = "edit_value";
  mb_name ;
  : text {
    key = "text_editval" ;
    label = "Enter Report Execution Statement";
    horizontal_alignment = centered ;
  }
  :edit_box {
    key = "edit_value" ;
    label = "Execute:" ;
    edit_limit = 255 ;
    mnemonic = "E" ; 
  }
  : row {
    spacer ;
    : button {
      key = "button_history" ;
      label = "History..." ;
      mnemonic = "H" ;
      width = 10 ;
      fixed_width = true ;
      alignment = centered ;
    } 
    : button {
        label  = "Execute";
        key    = "accept";
        width  = 10;
        fixed_width  = true;
        is_default  = true;
        mnemonic = "E";
    }
    : button {
        label = "Exit";
        key = "cancel";
        fixed_width  = true;
        width  = 8;
        alignment = centered;
        is_cancel       = true;
        mnemonic = "x";
    }
    spacer ;
  }
  ase_errtile;
}

asemakerephis: dialog {
  label = "ASE Make Report History" ;
  initial_focus = "list_values";
  mb_name ;
  values10_list ;
  l_slider ;
  ok_cancel ;
}


