/* Next available MSG number is 109 */

// bhatch.dcl       Version 1.0
//
// Flood hatch dialogues
//
//    Copyright (C) 1991-1992 by Autodesk, Inc.
//         
//    Permission to use, copy, modify, and distribute this software 
//    for any purpose and without fee is hereby granted, provided 
//    that the above copyright notice appears in all copies and that 
//    both that copyright notice and this permission notice appear in 
//    all supporting documentation.
//
//    THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//    WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//    PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.


dcl_settings : default_dcl_settings { audit_level = 0; }

f0 : dialog {
    label = /*MSG1*/"Boundary Hatch";
    aspect_ratio = 0;
    : column {
        : row {
            : text {
                label = /*MSG73*/"Pattern:";
                is_bold = true;
            }
            : text {
                key = /*MSG0*/"hatch_name";
                width = 32;
                label = /*MSG0*/"must have dummy text here"; // Filled at run time
                // In q027 layout is screwed up if label is empty.
            }
        }
        : big_button {
            label = /*MSG2*/"Hatch Options...";
            key = /*MSG0*/"set_hatch";
            mnemonic = /*MSG76*/"O";
        }
        spacer_1;
        : text {
            label = /*MSG74*/"Define Hatch Area";
            is_bold = true;
        }
        : column {
            : big_button {
                label = /*MSG4*/"Pick Points <";
                key = /*MSG0*/"pick_bound";
                mnemonic = /*MSG5*/"P";
            }           
            :row {
            : big_button {
                label = /*MSG7*/"Select Objects <";
                key = /*MSG0*/"exclude_select";
                mnemonic = /*MSG77*/"S";
            }
            : big_button {
                label = /*MSG78*/"View selections <";
                key = /*MSG0*/"look_at_it";
                mnemonic = /*MSG79*/"V";
            }
            }
        }
        spacer_1;
        : row {
            : big_button {
                label = /*MSG14*/"Preview Hatch <";
                key = /*MSG0*/"preview";
                alignment = centered;
                mnemonic = /*MSG80*/"v";
            }
            : big_button {
                label = /*MSG81*/"Advanced Options...";
                key = /*MSG0*/"options";
                mnemonic = /*MSG82*/"A";
            }
        }
        spacer_1;
        :row {
            fixed_width = true;
            alignment = centered;
            : retirement_button {
                label = /*MSG83*/"Apply";
                key = /*MSG0*/"accept";
                is_default = true;
            }
            : spacer { width = 2; }
            cancel_button;
            : spacer { width = 2; }
            : retirement_button {
                label = /*MSG84*/"Another";
                key = /*MSG0*/"another";
            }
            : spacer { width = 2; }
            help_button;
        }
    errtile;
    }
}

fh_pattern : dialog {
    label = /*MSG15*/"Hatch Options";
    : row {
        : column {
            : boxed_radio_column {
                key = /*MSG0*/"u_cluster";
                label = /*MSG17*/"Pattern Type";
                : radio_button {
                    key = /*MSG0*/"standard";
                    label = /*MSG18*/"Stored Hatch Pattern";
                    mnemonic = /*MSG85*/"H";
                }
                : radio_button {
                    key = /*MSG0*/"u_option";
                    label = /*MSG19*/"User-Defined Pattern (U)";
                    mnemonic = /*MSG86*/"U";
                }
            }
            : row {
                : button {
                    label = /*MSG25*/"Pattern...";
                    key = /*MSG0*/"look_hatch";
                    mnemonic = /*MSG87*/"P";
                    fixed_width = true;
                }
                : edit_box {
                    key = /*MSG0*/"hatch_pattern";
                    label = "";
                    edit_width = 16;
                }
            }
            : edit_box {
                key = /*MSG0*/"hatch_scale";
                label = /*MSG27*/"Scale:";
                edit_width = 16;
                mnemonic = /*MSG88*/"l";
            }
            : edit_box {
                key = /*MSG0*/"hatch_angle";
                label = /*MSG28*/"Angle:";
                edit_width = 16;
                mnemonic = /*MSG89*/"A";
            }
            : edit_box {
                key = /*MSG0*/"hatch_spacing";
                label = /*MSG29*/"Spacing:";
                edit_width = 16;
                mnemonic = /*MSG90*/"S";
            }
        }
        : column {
            : boxed_row {
                label = /*MSG20*/"Hatching Style";
                : radio_column {
                    key = /*MSG0*/"noi_cluster";
                    : radio_button {
                        key = /*MSG0*/"n_option";
                        label = /*MSG21*/"Normal";
                        mnemonic = /*MSG91*/"N";
                    }
                    : radio_button {
                        key = /*MSG0*/"o_option";
                        label = /*MSG22*/"Outer";
                        mnemonic = /*MSG75*/"O";
                    }
                    : radio_button {
                        key = /*MSG0*/"i_option";
                        label = /*MSG23*/"Ignore";
                        mnemonic = /*MSG92*/"I";
                    }
                }
                : icon_image {
                    key         = /*MSG0*/"icon_noi";
                }       

            }
            spacer_1;
            : toggle {
                label = /*MSG24*/"Exploded Hatch";
                key = /*MSG0*/"exploded";
                mnemonic = /*MSG93*/"E";
            }
            : toggle {
                key = /*MSG0*/"hatch_double";
                label = /*MSG30*/"Double Hatch";
                mnemonic = /*MSG94*/"D";
            }
        }
    }
    spacer;
    : big_button {
        label = /*MSG16*/"Copy Existing Hatch <";
        key = /*MSG0*/"read_hatch";
        alignment = centered;
        mnemonic = /*MSG95*/"C";
    }
    ok_cancel;
    errtile;
}


fh_look : dialog {
    label = /*MSG31*/"Choose Hatch Pattern";
    aspect_ratio = 0;
// If you don't box this, it fits on EGA
    : row {
            fixed_width = true;
            alignment = centered;
        : text {
            label = /*MSG108*/"NOTE: * patterns not to scale.";
        }
    }
    : column {
        : row {
            : column {
                : icon_image {
                  key         = /*MSG0*/"ic0";
                }       
                : text {
                    key = /*MSG0*/"il0";
                    width = 12;
                }
            }
            : column {
                : icon_image {
                  key         = /*MSG0*/"ic1";
                }       
                : text {
                    key = /*MSG0*/"il1";
                    width = 12;
                }
            }
            : column {
                : icon_image {
                  key         = /*MSG0*/"ic2";
                }       
                : text {
                    key = /*MSG0*/"il2";
                    width = 12;
                }
            }
            : column {
                : icon_image {
                  key         = /*MSG0*/"ic3";
                }       
                : text {
                    key = /*MSG0*/"il3";
                    width = 12;
                }
            }
        }
        : row {
            : column {
                : icon_image {
                  key         = /*MSG0*/"ic4";
                }       
                : text {
                    key = /*MSG0*/"il4";
                    width = 12;
                }
            }
            : column {
                : icon_image {
                  key         = /*MSG0*/"ic5";
                }       
                : text {
                    key = /*MSG0*/"il5";
                    width = 12;
                }
            }
            : column {
                : icon_image {
                  key         = /*MSG0*/"ic6";
                }       
                : text {
                    key = /*MSG0*/"il6";
                    width = 12;
                }
            }
            : column {
                : icon_image {
                  key         = /*MSG0*/"ic7";
                }       
                : text {
                    key = /*MSG0*/"il7";
                    width = 12;
                }
            }
        }
        : row {
            : column {
                : icon_image {
                  key         = /*MSG0*/"ic8";
                }       
                : text {
                    key = /*MSG0*/"il8";
                    width = 12;
                }
            }
            : column {
                : icon_image {
                  key         = /*MSG0*/"ic9";
                }       
                : text {
                    key = /*MSG0*/"il9";
                    width = 12;
                }
            }
            : column {
                : icon_image {
                  key         = /*MSG0*/"ic10";
                }       
                : text {
                    key = /*MSG0*/"il10";
                    width = 12;
                }
            }
            : column {
                : icon_image {
                  key         = /*MSG0*/"ic11";
                }       
                : text {
                    key = /*MSG0*/"il11";
                    width = 12;
                }
            }
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        prev_button;
        : spacer { width = 2; }
        next_button;
        : spacer { width = 2; }
        cancel_button;
    }
}


f1guts : column {
    aspect_ratio = 0;
    : boxed_column {
        label = /*MSG96*/"Define Boundary Set";
        : radio_column {
            key = /*MSG0*/"use";
            : radio_button {
                label = /*MSG71*/"From Everything on Screen";
                key = /*MSG0*/"use_all";
                value = "1";
                mnemonic = /*MSG97*/"v";
            }
            : radio_button {
                label = /*MSG70*/"From Existing Boundary Set";
                key = /*MSG0*/"use_old_select";
                mnemonic = /*MSG98*/"x";
            }
        }
        : spacer { height = 0.5; }
        : big_button {
            label = /*MSG69*/"Make New Boundary Set <";
            key = /*MSG0*/"make_select";
            alignment = centered;
            mnemonic = /*MSG99*/"N";
        }
    }
    spacer;
    : popup_list {
        label = /*MSG37*/"Ray Casting:";
        key = /*MSG0*/"ray_cast";
        edit_width = 8;
        fixed_width = true;
        mnemonic = /*MSG100*/"R";
    }
    spacer;
    : toggle {
        label = /*MSG101*/"Retain Boundaries";
        key = /*MSG0*/"retain";
        mnemonic = /*MSG102*/"B";
     }
}


f1 : dialog {
    label = /*MSG103*/"Advanced Options";
    f1guts;
    spacer;
    ok_cancel;
    : errtile { width = 30; }
}


f2 : dialog {
    label = /*MSG104*/"Polyline Creation";
    f1guts;
    spacer;
    pick_cancel;
    errtile;
}


fh_open : dialog {
    label = /*MSG47*/"Boundary Definition Error";
    : text {
        label = /*MSG48*/"Boundary is not closed.";
    }
    : spacer {
        height = 1.0;
    }
    ok_look;
}


fh_outside : dialog {
    aspect_ratio = 0;
    label = /*MSG50*/"Boundary Definition Error";
    : text {
        horizontal_alignment = centered;
        label = /*MSG51*/"Point is outside of boundary.";
    }
    : spacer {
        height = 1.0;
    }
    ok_look;
}


fh_on : dialog {
    aspect_ratio = 0;
    label = /*MSG64*/"Boundary Definition Error";
    : text {
        horizontal_alignment = centered;
        label = /*MSG65*/"Point is directly on an entity.";
    }
    : spacer {
        height = 1.0;
    }
    ok_look;
}


fh_dup : dialog {
    aspect_ratio = 0;
    label = /*MSG105*/"Boundary Definition Error";
    : text {
        horizontal_alignment = centered;
        label = /*MSG106*/"Boundary duplicates an existing boundary.";
    }
    : spacer {
        height = 1.0;
    }
    ok_only;
}


fh_awful : dialog {
    aspect_ratio = 0;
    label = /*MSG52*/"Boundary Definition Error";
    : text {
        label = /*MSG53*/"Nothing was found to make a boundary out of.";
    }
    ok_only;
}


fh_nohatch : dialog {
    aspect_ratio = 0;
    label = /*MSG54*/"Hatching Error";
    : text {
        label = /*MSG55*/"No hatching was created";
    }
    ok_only;
}


falert : dialog {
    label = /*MSG56*/"ALERT";
    : text {
        key = /*MSG0*/"alert_text_1";
        horizontal_alignment = centered;
        width = 50;
    }
    : text {
        key = /*MSG0*/"alert_text_2";
        horizontal_alignment = centered;
        width = 50;
    }
    ok_only;
}

big_button :button{
    fixed_width = true;
    width = 25;
}


look_button : retirement_button {
    label           = /*MSG57*/"Look at it";
    key             = /*MSG0*/"look";
    mnemonic        = /*MSG58*/"L";
    vertical_alignment = centered;
}


ok_look : column {
    : row {
        fixed_width = true;
        alignment = centered;
        : ok_button { is_cancel = true; } 
        : spacer { width = 2; }
        look_button;
    }
}


next_button : button {
        label           = /*MSG59*/"Next";
        key             = /*MSG0*/"next";
        mnemonic        = /*MSG60*/"N";
        fixed_width     = true;
        width           = 9;
        vertical_alignment = centered;
        horizontal_alignment = centered;
}


prev_button : button {
        label           = /*MSG61*/"Previous";
        key             = /*MSG0*/"previous";
        mnemonic        = /*MSG62*/"P";
        fixed_width     = true;
        width           = 8;
        vertical_alignment = centered;
        horizontal_alignment = centered;
}


pick_cancel : column {
    : row {
        fixed_width = true;
        alignment = centered;
        : button { 
            label = /*MSG0*/"Pick Points";
            key = /*MSG0*/"accept";
            mnemonic = /*MSG107*/"P";
            is_default = true;
        }
        : spacer { width = 2; }
        cancel_button;
    }
}
