/* Next available MSG number is  32 */

//    BMAKE.DCL     Version 1.0
//
//    (C) Copyright 1988-1992 by Autodesk, Inc.
//
//    This program is copyrighted by Autodesk, Inc. and is  licensed
//    to you under the following conditions.  You may not distribute
//    or  publish the source code of this program in any form.   You
//    may  incorporate this code in object form in derivative  works
//    provided  such  derivative  works  are  (i.) are  designed and
//    intended  to  work  solely  with  Autodesk, Inc. products, and
//    (ii.)  contain  Autodesk's  copyright  notice  "(C)  Copyright
//    1988-1992 by Autodesk, Inc."
//
//    AUTODESK  PROVIDES THIS PROGRAM "AS IS" AND WITH  ALL  FAULTS.
//    AUTODESK  SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF  MER-
//    CHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK,  INC.
//    DOES  NOT  WARRANT THAT THE OPERATION OF THE PROGRAM  WILL  BE
//    UNINTERRUPTED OR ERROR FREE.

//                         28 Feb 1991
// Bmake.dcl - Block make using entmake with a dialogue interface.


dcl_settings : default_dcl_settings { audit_level = 0; }

bmake : dialog {
    label = /*MSG1*/"Block Definition";
    : row {
        : edit_box {
            label = /*MSG2*/"Block name:";
            mnemonic = /*MSG3*/"B";
            key = "bname";
            edit_width = 15;
            edit_limit = 31;
        }
        : toggle {
            label = /*MSG4*/"Unnamed  ";
            mnemonic = /*MSG5*/"U";
            key = "unnamed";
        }
    }
    spacer;
    : row {
        : boxed_column { 
            label = /*MSG6*/"Base Point";
            : button {
                label = /*MSG7*/"Select Point <";
                mnemonic = /*MSG8*/"P";
                key = "pick_pt";                 
            }
            : edit_box {
                label = /*MSG9*/"X:";
                mnemonic = /*MSG10*/"X";
                key = "x_pt";
                edit_width = 10;
            }
            : edit_box {
                label = /*MSG11*/"Y:";
                mnemonic = /*MSG12*/"Y";
                key = "y_pt";
                edit_width = 10;
            }
            : edit_box {
                label = /*MSG13*/"Z:";
                mnemonic = /*MSG14*/"Z";
                key = "z_pt";
                edit_width = 10;
            }
        }
        : column {
            spacer_1;
            : button {
                label = /*MSG15*/"Select Objects <";
                mnemonic = /*MSG16*/"S";
                key = "sel_objs";                 
            }
            : concatenation {
                : text_part {
                    label = /*MSG17*/"Number found: ";
                }
                : text_part {
                    key = "how_many";
                    width = 5;
                }
             }
             spacer;
             : button {
                 label = /*MSG18*/"List Block Names...";
                 mnemonic = /*MSG19*/"L";
                 key = "list_blocks";
             }
             : toggle {
                 label = /*MSG20*/"Retain Entities";
                 mnemonic = /*MSG21*/"R";
                 key = "retain";
             }
         }
    }
   spacer; 
   spacer;
   ok_cancel_help_errtile;
}

bname_exists : dialog {
    label = /*MSG22*/"Warning";
    : paragraph {
        : text_part {
            label = /*MSG23*/"A Block with this name already exists in the drawing.";
        }
        : text_part {
            label = /*MSG24*/"Do you want to redefine it?";
        }
    }
    spacer_1;
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label = /*MSG25*/"Redefine";
            mnemonic = /*MSG26*/"R";
            key = "yes";
            width = 8;
        }
        : spacer {
            width = 2;
        }
        : default_button {
            label = /*MSG27*/"Cancel";
            key = "no";
            width = 8;
        }
    }
}

list_blocks : dialog {
    label = /*MSG29*/"Block Names In This Drawing";
    : edit_box {
        label = /*MSG30*/"Pattern:";
        mnemonic = /*MSG31*/"P";
        key = "pattern";
    }
    : list_box {                                   
        key = "bl_match";
        width = 32;
        multiple_select = true;
        allow_accept = true;
    }
    spacer;
    ok_only;
}




