/* Next available MSG number is  26 */
//
// DDATTEXT.DCL     Version 1.0
//
// Copyright (C) 1992 by Autodesk, Inc.
//    
// Permission to use, copy, modify, and distribute this software
// for any purpose and without fee is hereby granted, provided
// that the above copyright notice appears in all copies and that 
// both that copyright notice and this permission notice appear in 
// all supporting documentation.
// 
// THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
// WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
// PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//
//---------------------------------------------------------------------
//
// Dialogue definition file for DDATTEXT.LSP - Attribute extraction
//


dcl_settings : default_dcl_settings { audit_level = 0; }


ddattext : dialog {
    label = /*MSG1*/"Attribute Extraction";
    : boxed_radio_column {
        label = /*MSG2*/"File Format";
        : radio_button {
            label = /*MSG3*/"Comma Delimited File (CDF)";
            key = "cdf";
            mnemonic = /*MSG21*/"C";
           }
           : radio_button {
            label = /*MSG4*/"Space Delimited File (SDF)";
            key = "sdf";
            mnemonic = /*MSG22*/"S";
        }
           : radio_button {
            label = /*MSG5*/"Drawing Interchange File (DXF)";
            key = "dxf";
            mnemonic = /*MSG23*/"D";
        }
    }
    : row {
        : button {
            label = /*MSG6*/"Select Objects <";
            mnemonic = /*MSG7*/"O";
            key = "selobjs";
            fixed_width = true;
        }
        : concatenation {
            : text_part {
                label = /*MSG8*/"Number found: ";
            }
            : text_part {
                key = "how_many";
                width = 5;
            }
        }
    }
    : row {
        : button {
            label = /*MSG9*/"Template File... ";
            key = "select_temp_file";
            mnemonic = /*MSG24*/"T";
        }
        : edit_box {
            edit_width = 20;
            key = "temp_file";
            fixed_width = true;
        }
    }
    : row {
        : button {
            label = /*MSG10*/"Output File... ";
            key = "select_out_file";
            mnemonic = /*MSG25*/"F";
        }
        : edit_box {
            edit_width = 20;
            key = "out_file";
            fixed_width = true;
        }
    }
    ok_cancel_help_errtile;
}

out_exists : dialog {
    label = /*MSG11*/"Warning";
    : paragraph {
        : text_part {
            label = /*MSG12*/"The output file already exists.";
        }
        : text_part {
            label = /*MSG13*/"Do you want to replace it?";
        }
    }
    spacer_1;
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label = /*MSG14*/"Yes";
            mnemonic = /*MSG15*/"R";
            key = "yes";
            width = 8;
        }
        : spacer {
            width = 2;
        }
        : default_button {
            label = /*MSG16*/"No";
            mnemonic = /*MSG17*/"C";
            key = "no";
            width = 8;
        }
    }
}

out_temp : dialog {
    label = /*MSG18*/"Warning";
    : paragraph {
        : text_part {
            label = /*MSG19*/"The template file and output file have the same name!";
        }
        : text_part {
            label = /*MSG20*/"Please change output file name.";
        }
    }
    spacer_1;
    : ok_button {
        is_cancel = true;
    }
}

