/* Next available MSG number is  23 */

/*  DDCHPROP.DCL        Version 1.0

    Copyright (C) 1991-1992 by Autodesk, Inc.

    Permission to use, copy, modify, and distribute this software
    for any purpose and without fee is hereby granted, provided
    that the above copyright notice appears in all copies and that
    both that copyright notice and this permission notice appear in
    all supporting documentation.

    THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
    WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
    PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.

    Dialogue for the DDCHPROP command, for use with DDCHPROP.LSP
*/


dcl_settings : default_dcl_settings { audit_level = 0; }


textbox : edit_box {
    vertical_margin = tiny;
    horizontal_margin = tiny;
}    

ch_prop : dialog {
    label = /*MSG1*/"Change Properties";
    : row {
        : column {
            fixed_width = true;
            : row {
                : button {
                    label = /*MSG2*/"Color...";
                    mnemonic = /*MSG3*/"C";
                    key = "b_color";
                }
                : image_button {
                    key = "show_image";
                    height = 1;
                    width = 3;
                }
            }
            : button {
                label = /*MSG4*/"Layer...";
                mnemonic = /*MSG5*/"L";
                key = "b_name";
            }
            : button {
                label = /*MSG6*/"Linetype...";
                mnemonic = /*MSG7*/"i";
                key = "b_line";
            }
        }
        : column {
            spacer_0;
            : text {
                key = "t_color";
                width = 31;
            }
            : text {
                key = "t_layer";
                width = 31;
            }
            : text {
                key = "t_ltype";
                width = 31;
            }
            spacer_0;
        }
    }
    : edit_box {
        key = "eb_thickness";
        label = /*MSG8*/"Thickness:";
        mnemonic = /*MSG9*/"T";
        edit_width = 31;
    }
    ok_cancel_help_errtile;
}

setcolor : dialog {
    label = /*MSG10*/"Select Color";
    image_block;
    : list_box {
        key = "list_col";
        allow_accept = true;
    }
    : textbox {
        key = "edit_col";
        allow_accept = false;
        label = /*MSG11*/"Color Code:";
        edit_width = 13;
     }
     ok_cancel_err;
}

setltype : dialog {
    label = /*MSG12*/"Select Linetype";
    image_block;
    : list_box {
        key = "list_lt";
        allow_accept = true;
    }
    : edit_box {
        key = "edit_lt";
        allow_accept = false;
        label = /*MSG13*/"Linetype:";
        mnemonic = /*MSG22*/"L";
        edit_limit = 31;
    }
    ok_cancel;
    errtile;
}

setlayer : dialog {
    subassembly = 0;
    label = /*MSG14*/"Select Layer";
    initial_focus = "listbox";
    : concatenation {
        children_fixed_width = true;
        key = "clayer";
        : text_part {
            label = /*MSG15*/"Current Layer: ";
        }
        : text_part {
            key = "cur_layer";
            width = 35;
        }
    }
    : row {
        fixed_width = true;
        key = "titles";
        children_fixed_width = true;
        : text {
            label = /*MSG16*/"Layer Name";
            width = 34;
        }
        : text {
            label = /*MSG17*/"State";
            width = 9;
        }
        : text {
            label = /*MSG18*/"Color";
            width = 8;
        }
        : text {
            label = /*MSG19*/"Linetype";
            width = 12;
        }
    }
    : list_box {
        tabs = "32 35 37 39 41 44 53";
        width = 67;
        height = 12;
        key = "list_lay";
        allow_accept = true;
    }
    : row {
        key = "controls";
        : column {
            key = "lname";
            fixed_width = true;
            : edit_box {
                label = /*MSG20*/"Set Layer Name:";
                mnemonic = /*MSG21*/"S";
                key = "edit_lay";
                width = 32;
                edit_width = 32;
                edit_limit = 31;
                allow_accept = true;
            }
        }
    }
    ok_cancel_err;
}

