/* Next available MSG number is 245 */

/*   DDMODIFY.DCL       Version 1.0

     Copyright (C) 1991-1992 by Autodesk, Inc.

     Permission to use, copy, modify, and distribute this software
     for any purpose and without fee is hereby granted, provided
     that the above copyright notice appears in all copies and that
     both that copyright notice and this permission notice appear in
     all supporting documentation.

     THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
     WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
     PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.

     Dialogue for the DDMODIFY command, for use with DDMODIFY.LSP
*/


dcl_settings : default_dcl_settings { audit_level = 0; }


//-------- Subassemblies and prototypes shared across several dialogues -------

properties_subassembly : boxed_row {
    label = /*MSG1*/"Properties";
    : row {
        fixed_width = true;
        : column {
            fixed_width = true;
            : row {
                : button {
                    label = /*MSG2*/"Color...";
                    mnemonic = /*MSG3*/"C";
                    key = "b_color";
                }
                : image_button {
                    key = "show_image";
                    height = 1;
                    width = 3;
                }
              }
              : button {
                  label = /*MSG4*/"Linetype...";
                  mnemonic = /*MSG5*/"i";
                  key = "b_line";
              }
        }
        : column {
            spacer_0;
            fixed_width = true;
            : text {
                key = "t_color";
                width = 12;
            }
            : text {
                key = "t_ltype";
                width = 12;
            }
            spacer_0;
        }
    }
    : column {
        fixed_width = true;
        : row {
            : button {
                label = /*MSG6*/"Layer...";
                mnemonic = /*MSG7*/"L";
                key = "b_name";
            }
            : text {
                key = "t_layer";
                width = 18;
            }
        }
        : edit_box {
            key = "eb_thickness";
            label = /*MSG8*/"Thickness:";
            mnemonic = /*MSG165*/"T";
            edit_width = 18;
        }
    }
}

number_box : edit_box {
    edit_width = 10;
}

pick_point_button : button {
    label = /*MSG9*/"Pick Point <";
    alignment = centered;
}

pick_point_1_button : pick_point_button {
    key = "pick_1";
    mnemonic = /*MSG166*/"P";
}
pick_point_2_button : pick_point_button {
    key = "pick_2";
    mnemonic = /*MSG167*/"k";
}
pick_point_3_button : pick_point_button {
    key = "pick_3";
    mnemonic = /*MSG168*/"o";
}
pick_point_4_button : pick_point_button {
    key = "pick_4";
    mnemonic = /*MSG169*/"n";
}

x_box : number_box {
    label = /*MSG10*/"X:";
    mnemonic = /*MSG170*/"X";
}
y_box : number_box {
    label = /*MSG11*/"Y:";
    mnemonic = /*MSG171*/"Y";
}
z_box : number_box {
    label = /*MSG12*/"Z:";
    mnemonic = /*MSG172*/"Z";
}

x1_box : x_box {
    key = "x1_pt";
}
x2_box : x_box {
    key = "x2_pt";
}
x3_box : x_box {
    key = "x3_pt";
}
x4_box : x_box {
    key = "x4_pt";
}

y1_box : y_box {
    key = "y1_pt";
}
y2_box : y_box {
    key = "y2_pt";
}
y3_box : y_box {
    key = "y3_pt";
}
y4_box : y_box {
    key = "y4_pt";
}

z1_box : z_box {
    key = "z1_pt";
}
z2_box : z_box {
    key = "z2_pt";
}
z3_box : z_box {
    key = "z3_pt";
}
z4_box : z_box {
    key = "z4_pt";
}

handle_assembly : concatenation {
    : text_part {
        label = /*MSG13*/"Handle: ";
    }
    : text_part {
        key = "Handle";
        width = 8;
    }
}

//-------------------- Dialogues --------------------

ddpoint : dialog {
    label = /*MSG14*/"Modify Point";
    properties_subassembly;
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = /*MSG15*/"Location";
            fixed_width = true;
            pick_point_1_button;
            x1_box;
            y1_box;
            z1_box;
        }
        spacer;
        : column {
            alignment = top;
            fixed_height = true;
            spacer_1;
            handle_assembly;
        }
    }
    ok_cancel_help_errtile;
}

ddline : dialog {
    label = /*MSG16*/"Modify Line";
    properties_subassembly;
    spacer;
    : row {
        : boxed_column {
            label = /*MSG17*/"From Point";
            fixed_width = true;
            pick_point_1_button;
            x1_box;
            y1_box;
            z1_box;
        }
        : boxed_column {
            label = /*MSG18*/"To Point";
            fixed_width = true;
            pick_point_2_button;
            x2_box;
            y2_box;
            z2_box;
        }
        : column {
            : text {
                label = /*MSG19*/"Delta XYZ: ";
            }
            : column {
                fixed_height = true;
                : concatenation {
                    : text_part {
                        label = /*MSG20*/" X:";
                        width = 4;
                    }
                    : text_part {
                        key = "delta_x";
                        width = 10;
                    }
                }
                : concatenation {
                    : text_part {
                        label = /*MSG173*/" Y:";
                        width = 4;
                    }
                    : text_part {
                        key = "delta_y";
                        width = 10;
                    }
                }
                : concatenation {
                    : text_part {
                        label = /*MSG21*/" Z:";
                        width = 4;
                    }
                    : text_part {
                        key = "delta_z";
                        width = 10;
                    }
                }
            }
            spacer_0;
            : column {
                fixed_height = true;
                : concatenation {
                    : text_part {
                        label = /*MSG22*/"Length: ";
                        width = 8;
                    }
                    : text_part {
                        key = "l_length";
                        width = 10;
                    }
                }
                fixed_height = true;
                : concatenation {
                    : text_part {
                        label = /*MSG23*/"Angle: ";
                        width = 8;
                    }
                    : text_part {
                        key = "l_angle";
                        width = 10;
                    }
                }
            }
        }
    spacer_1;
    }
    spacer;
    handle_assembly;
    ok_cancel_help_errtile;
}

ddcircle : dialog {
    label = /*MSG24*/"Modify Circle";
    properties_subassembly;
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = /*MSG174*/"Center";
            fixed_width = true;
            pick_point_1_button;
            x1_box;
            y1_box;
            z1_box;
        }
        spacer;
        : column {
            fixed_height = true;
            : text {
               label = "   ";
            }
            : number_box {
                label = /*MSG25*/"Radius:";
                mnemonic = /*MSG176*/"R";
                key = "radius";
            }
            : row {
                : column {
                    : text {
                        label = /*MSG26*/"Diameter:";
                    }
                    : text {
                        label = /*MSG175*/"Circumference:";
                    }
                    : text {
                        label = /*MSG27*/"Area: ";
                    }
                    : text {
                        label = /*MSG28*/"Handle: ";
                    }
                }
                : column {
                    : text {
                        key = "Dia";
                        width = 11;
                    }
                    : text {
                        key = "Circum";
                        width = 11;
                    }
                    : text {
                        key = "Area";
                        width = 11;
                    }
                    : text {
                        key = "Handle";
                        width = 11;
                    }
                }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddarc : dialog {
    label = /*MSG29*/"Modify Arc";
    properties_subassembly;
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = /*MSG30*/"Center";
            fixed_width = true;
            pick_point_1_button;
            x1_box;
            y1_box;
            z1_box;
        }
        spacer;
        : column {
            fixed_width = true;
            : text {
               label = "   ";
            }
            : number_box {
                label = /*MSG31*/"Radius: ";
                mnemonic = /*MSG177*/"R";
                key = "radius";
            }
            : number_box {
                label = /*MSG32*/"Start Angle: ";
                mnemonic = /*MSG178*/"S";
                key = "st_ang";
            }
            : number_box {
                label = /*MSG33*/"End Angle: ";
                mnemonic = /*MSG179*/"E";
                key = "end_ang";
            }
            : concatenation {
                : text_part {
                  label = /*MSG34*/"Total Angle: ";
                  width = 14;
                }
                : text_part {
                  key = "tot_angle";
                  width = 10;
                }
            }
        }
        spacer;
        : column {
            fixed_height = true;
            fixed_width = true;
            alignment = top;
            : text {
                label = "   ";
            }
            : concatenation {
                : text_part {
                    label = /*MSG35*/"Arc Length: ";
                    width = 13;
                }
                : text_part {
                    key = "arclen";
                    width = 8;
                }
            }
            : concatenation {
                : text_part {
                    label = /*MSG36*/"Handle: ";
                    width = 13;
                }
                : text_part {
                    key = "Handle";
                    width = 8;
                }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

dd3dface : dialog {
    label = /*MSG37*/"Modify 3D Face";
    properties_subassembly;
    spacer;
    : row {
        : boxed_column {
            label = /*MSG38*/"Point 1";
            fixed_width = true;
            pick_point_1_button;
            x1_box;
            y1_box;
            z1_box;
        }
        : boxed_column {
            label = /*MSG39*/"Point 2";
            fixed_width = true;
            pick_point_2_button;
            x2_box;
            y2_box;
            z2_box;
        }
        : boxed_column {
            label = /*MSG40*/"Point 3";
            fixed_width = true;
            pick_point_3_button;
            x3_box;
            y3_box;
            z3_box;
        }
        : boxed_column {
            label = /*MSG41*/"Point 4";
            fixed_width = true;
            pick_point_4_button;
            x4_box;
            y4_box;
            z4_box;
        }
    }
    spacer;
    : boxed_row {
        label = /*MSG42*/"Visibility";
        : toggle {
          label = /*MSG43*/"Edge 1";
          mnemonic = "1";
          key = "edge_1";
        }
        : toggle {
          label = /*MSG44*/"Edge 2";
          mnemonic = "2";
          key = "edge_2";
        }
        : toggle {
          label = /*MSG45*/"Edge 3";
          mnemonic = "3";
          key = "edge_3";
        }
        : toggle {
          label = /*MSG46*/"Edge 4";
          mnemonic = "4";
          key = "edge_4";
        }
    }
    spacer;
    handle_assembly;
    ok_cancel_help_errtile;
}

ddsolid : dialog {
    label = /*MSG47*/"Modify Solid";
    properties_subassembly;
    spacer;
    : row {
        children_alignment = top;
        children_fixed_width = true;
        children_fixed_height = true;
        : column {
            : boxed_column {
                label = /*MSG48*/"Point 1";
                pick_point_1_button;
                x1_box;
                y1_box;
            }
        handle_assembly;
        }
        : boxed_column {
            label = /*MSG49*/"Point 2";
            pick_point_2_button;
            x2_box;
            y2_box;
        }
        : boxed_column {
            label = /*MSG50*/"Point 3";
            pick_point_3_button;
            x3_box;
            y3_box;
        }
        : boxed_column {
            label = /*MSG51*/"Point 4";
            pick_point_4_button;
            x4_box;
            y4_box;
            z4_box;
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddtrace : dialog {
    label = /*MSG52*/"Modify Trace";
    properties_subassembly;
    spacer;
    : row {
        children_alignment = top;
        children_fixed_width = true;
        children_fixed_height = true;
        : column {
            : boxed_column {
                label = /*MSG53*/"Point 1";
                pick_point_1_button;
                x1_box;
                y1_box;
            }
        handle_assembly;
        }
        : boxed_column {
            label = /*MSG54*/"Point 2";
            pick_point_2_button;
            x2_box;
            y2_box;
        }
        : boxed_column {
            label = /*MSG55*/"Point 3";
            pick_point_3_button;
            x3_box;
            y3_box;
        }
        : boxed_column {
            label = /*MSG56*/"Point 4";
            pick_point_4_button;
            x4_box;
            y4_box;
            z4_box;
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddblock : dialog {
    label = /*MSG57*/"Modify Block Insertion";
    properties_subassembly;
    spacer;
    : concatenation {
       : text_part {
           label = /*MSG58*/"Block Name: ";
           width = 12;
       }
       : text_part {
           key = "Bl_name";
           width = 33;
       }
    }
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = /*MSG59*/"At";
            fixed_width = true;
            fixed_height = true;
            pick_point_1_button;
            x1_box;
            y1_box;
            z1_box;
        }
        spacer;
        : column {
            fixed_width = true;
            fixed_height = true;
            : text {
               label = "   ";
            }
            : number_box {
                label = /*MSG60*/"X-scale: ";
                mnemonic = /*MSG180*/"s";
                key = "xscale";
            }
            : number_box {
                label = /*MSG61*/"Y-scale: ";
                mnemonic = /*MSG181*/"a";
                key = "yscale";
            }
            : number_box {
                label = /*MSG62*/"Z-scale: ";
                mnemonic = /*MSG182*/"l";
                key = "zscale";
            }
            : number_box {
                label = /*MSG63*/"Rotation: ";
                mnemonic = /*MSG183*/"R";
                key = "rot";
            }
        }
        spacer;
        : column {
            fixed_width = true;
            fixed_height = true;
            : text {
               label = "   ";
            }
            : number_box {
                label = /*MSG64*/"Columns: ";
                mnemonic = /*MSG184*/"o";
                key = "columns";
            }
            : number_box {
                label = /*MSG65*/"Rows: ";
                mnemonic = /*MSG185*/"w";
                key = "rows";
            }
            : number_box {
                label = /*MSG66*/"Col Spacing: ";
                mnemonic = /*MSG186*/"n";
                key = "col_sp";
            }
            : number_box {
                label = /*MSG67*/"Row Spacing: ";
                mnemonic = /*MSG187*/"g";
                key = "row_sp";
            }
        }
    }
    spacer;
    handle_assembly;
    ok_cancel_help_errtile;
}

ddxref : dialog {
    label = /*MSG68*/"Modify External Reference";
    properties_subassembly;
    spacer;
    : row {
        : concatenation {
           : text_part {
               label = /*MSG69*/"Xref Name: ";
           }
           : text_part {
               key = "Bl_name";
               width = 12;
           }
        }
        spacer_0;
        : concatenation {
           : text_part {
               label = /*MSG70*/"Path: ";
           }
           : text_part {
               key = "path";
               width = 35;
           }
        }
    }
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = /*MSG71*/"At";
            fixed_width = true;
            fixed_height = true;
            pick_point_1_button;
            x1_box;
            y1_box;
            z1_box;
        }
        spacer;
        : column {
            fixed_width = true;
            fixed_height = true;
            : text {
               label = "   ";
            }
            : number_box {
                label = /*MSG72*/"X-scale: ";
                mnemonic = /*MSG188*/"s";
                key = "xscale";
            }
            : number_box {
                label = /*MSG73*/"Y-scale: ";
                mnemonic = /*MSG189*/"a";
                key = "yscale";
            }
            : number_box {
                label = /*MSG74*/"Z-scale: ";
                mnemonic = /*MSG190*/"l";
                key = "zscale";
            }
            : number_box {
                label = /*MSG75*/"Rotation: ";
                mnemonic = /*MSG191*/"R";
                key = "rot";
            }
        }
        spacer;
        : column {
            fixed_width = true;
            fixed_height = true;
            : text {
               label = "   ";
            }
            : number_box {
                label = /*MSG76*/"Columns: ";
                mnemonic = /*MSG192*/"o";
                key = "columns";
            }
            : number_box {
                label = /*MSG77*/"Rows: ";
                mnemonic = /*MSG193*/"w";
                key = "rows";
            }
            : number_box {
                label = /*MSG78*/"Col Spacing: ";
                mnemonic = /*MSG194*/"n";
                key = "col_sp";
            }
            : number_box {
                label = /*MSG79*/"Row Spacing: ";
                mnemonic = /*MSG195*/"g";
                key = "row_sp";
            }
        }
    }
    spacer;
    handle_assembly;
    ok_cancel_help_errtile;
}

ddshape : dialog {
    label = /*MSG80*/"Modify Shape";
    properties_subassembly;
    spacer;
    : concatenation {
       : text_part {
           label = /*MSG81*/"Shape: ";
       }
       : text_part {
           key = "sh_name";
           width = 10;
       }
    }
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = /*MSG82*/"Origin";
            fixed_width = true;
            pick_point_1_button;
            x1_box;
            y1_box;
            z1_box;
        }
        : column {
            fixed_width = true;
            : text {
               label = "   ";
            }
            : number_box {
                label = /*MSG83*/"Size: ";
                mnemonic = /*MSG196*/"S";
                key = "hght";
            }
            : number_box {
                label = /*MSG84*/"Rotation: ";
                mnemonic = /*MSG197*/"R";
                key = "rot";
            }
            : number_box {
                label = /*MSG85*/"Width Factor: ";
                mnemonic = /*MSG198*/"W";
                key = "wid";
            }
            : number_box {
                label = /*MSG86*/"Obliquing: ";
                mnemonic = /*MSG199*/"O";
                key = "obl";
            }
        }
        spacer;
        : column {
            alignment = top;
            fixed_height = true;
            : text {
               height = 1.4;
               label = "   ";
            }
            handle_assembly;
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddtext : dialog {
    label = /*MSG87*/"Modify Text";
    properties_subassembly;
    spacer;
    : edit_box {
        label = /*MSG88*/"Text: ";
        mnemonic = /*MSG200*/"e";
        key = "t_string";
        width = 50;
        edit_limit = 255;
    }
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = /*MSG89*/"Origin";
            fixed_width = true;
            pick_point_1_button;
            x1_box;
            y1_box;
            z1_box;
        }
        : column {
            fixed_width = true;
            : text {
                label = "  ";
            }
            : number_box {
                label = /*MSG90*/"Height: ";
                mnemonic = /*MSG201*/"H";
                key = "hght";
            }
            : number_box {
                label = /*MSG91*/"Rotation: ";
                mnemonic = /*MSG202*/"R";
                key = "rot";
            }
            : number_box {
                label = /*MSG92*/"Width Factor: ";
                mnemonic = /*MSG203*/"W";
                key = "wid";
            }
            : number_box {
                label = /*MSG93*/"Obliquing: ";
                mnemonic = /*MSG204*/"O";
                key = "obl";
            }
        }
        : column {
            fixed_width = true;
            : text {
                label = "  ";
            }
            : popup_list {
                label = /*MSG94*/"Justify:";
                mnemonic = /*MSG205*/"J";
                key = "popup_just";
                edit_width = 13;
            }
            : popup_list {
                label = /*MSG95*/"Style:";
                mnemonic = /*MSG206*/"S";
                key = "style";
                edit_width = 13;
            }
            : column {
                children_fixed_width = true;
                : toggle {
                    label = /*MSG96*/"Upside Down";
                    mnemonic = /*MSG207*/"U";
                    key = "upsd";
                }
                : toggle {
                    label = /*MSG97*/"Backward";
                    mnemonic = /*MSG208*/"B";
                    key = "bkwd";
                }
            }
        }
    }
    spacer;
    handle_assembly;
    ok_cancel_help_errtile;
}

ddattdef : dialog {
    label = /*MSG98*/"Modify Attribute Definition";
    properties_subassembly;
    spacer;
    : row {
        children_fixed_width = true;
        : edit_box {
            label = /*MSG99*/"Tag:";
            mnemonic = /*MSG209*/"a";
            key = "tag";
            edit_width = 12;
            edit_limit = 255;
        }
        : edit_box {
            label = /*MSG100*/"Prompt:";
            mnemonic = /*MSG210*/"r";
            key = "prompt";
            edit_width = 12;
            edit_limit = 255;
        }
        : edit_box {
            label = /*MSG101*/"Default:";
            mnemonic = /*MSG211*/"D";
            key = "t_string";
            edit_width = 12;
            edit_limit = 255;
        }
    }
    spacer;
    : row {
        fixed_width = true;
        : boxed_column {
            label = /*MSG102*/"Origin";
            fixed_width = true;
            pick_point_1_button;
            x1_box;
            y1_box;
            z1_box;
        }
        : column {
            fixed_width = true;
            : text {
                label = "  ";
            }
            : number_box {
                label = /*MSG103*/"Height: ";
                mnemonic = /*MSG212*/"H";
                key = "hght";
            }
            : number_box {
                label = /*MSG104*/"Rotation: ";
                mnemonic = /*MSG213*/"R";
                key = "rot";
            }
            : number_box {
                label = /*MSG105*/"Width Factor: ";
                mnemonic = /*MSG214*/"W";
                key = "wid";
            }
            : number_box {
                label = /*MSG106*/"Obliquing: ";
                mnemonic = /*MSG215*/"O";
                key = "obl";
            }
        }
        : column {
            fixed_width = true;
            : text {
                label = "  ";
            }
            : row {
                : popup_list {
                    label = /*MSG107*/"Justify:";
                    mnemonic = /*MSG216*/"J";
                    key = "popup_just";
                    edit_width = 13;
                }
            }
            : row {
                : popup_list {
                    label = /*MSG108*/"Style:";
                    mnemonic = /*MSG217*/"S";
                    key = "style";
                    edit_width = 13;
                }
            }
            : row {
                : column {
                   children_fixed_width = true;
                   : toggle {
                      label = /*MSG109*/"Upside Down";
                      mnemonic = /*MSG218*/"U";
                      key = "upsd";
                   }
                   : toggle {
                       label = /*MSG110*/"Backward";
                       mnemonic = /*MSG219*/"B";
                       key = "bkwd";
                   }
                   : toggle {
                       label = /*MSG111*/"Invisible";
                       mnemonic = /*MSG220*/"v";
                       key = "inv";
                   }
                }
                : column {
                   children_fixed_width = true;
                   : toggle {
                       label = /*MSG112*/"Constant";
                       mnemonic = /*MSG221*/"n";
                       key = "con";
                   }
                   : toggle {
                       label = /*MSG113*/"Verify";
                       mnemonic = /*MSG222*/"f";
                       key = "ver";
                   }
                   : toggle {
                       label = /*MSG114*/"Preset";
                       mnemonic = /*MSG223*/"e";
                       key = "pre";
                   }
                }
            }
        }
    }
    spacer;
    handle_assembly;
    ok_cancel_help_errtile;
}

ddpline : dialog {
    label = /*MSG115*/"Modify Polyline";
    properties_subassembly;
    spacer;
    : row {
        fixed_width = true;
        : concatenation {
            : text_part {
                label = /*MSG116*/"Polyline Type: ";
            }
            : text_part {
                key = "ptype";
                width = 19;
            }
        }
        : concatenation {
            : text_part {
              label = /*MSG117*/"Entity Handle: ";
            }
            : text_part {
                key = "Handle";
                width = 8;
            }
        }
    }
    spacer;
    : row {
        : boxed_column {
            label = /*MSG118*/"Vertex Listing";
            fixed_width = true;
            : row {
                : column {
                    vertical_margin = wide;
                    : concatenation {
                        : text_part {
                            label = /*MSG119*/"Vertex:";
                        }
                        : text_part {
                            key = "ctr";
                            width = 3;
                        }
                    }
                }
                : column {
                    : button {
                        label = /*MSG120*/"Next";
                        mnemonic = /*MSG224*/"N";
                        key = "next_v";
                    }
                }
            }
            : concatenation {
                : text_part {
                  label = /*MSG121*/"X: ";
                }
                : text_part {
                  key = "xtext";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = /*MSG122*/"Y: ";
                }
                : text_part {
                  key = "ytext";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = /*MSG123*/"Z: ";
                }
                : text_part {
                  key = "ztext";
                  width = 10;
                }
            }
        }
        spacer;
        : boxed_radio_column {
            label = /*MSG124*/"Fit/Smooth";
            key = "f-s";
            : radio_button {
                label = /*MSG125*/"None";
                mnemonic = /*MSG225*/"o";
                key = "none";
            }
            : radio_button {
                label = /*MSG126*/"Quadratic";
                mnemonic = /*MSG226*/"Q";
                key = "quad";
            }
            : radio_button {
                label = /*MSG127*/"Cubic";
                mnemonic = /*MSG227*/"b";
                key = "cubic";
            }
            : radio_button {
                label = /*MSG128*/"Bezier";
                mnemonic = /*MSG228*/"B";
                key = "bezier";
            }
            : radio_button {
                label = /*MSG129*/"Curve Fit";
                mnemonic = /*MSG229*/"r";
                key = "fit";
            }
        }
        spacer;
        : boxed_column {
            fixed_width = true;
            label = /*MSG130*/"Mesh";
            key = "mesh";
            : row {
                : concatenation {
                    : text_part {
                         label = /*MSG131*/"M:";
                    }
                    : text_part {
                         key = "m";
                         width = 3;
                    }
                }
                spacer_1;
                : toggle {
                     label = /*MSG132*/"Closed";
                     mnemonic = /*MSG230*/"s";

                     key = "closedm";
                }
            }
            : row {
                : concatenation {
                    : text_part {
                        label = /*MSG133*/"N:";
                    }
                    : text_part {
                        key = "n";
                        width = 3;
                    }
                }
                spacer_1;
                : toggle {
                     label = /*MSG134*/"Closed";
                     mnemonic = /*MSG231*/"e";
                     key = "closedn";
                }
            }
            : edit_box {
                fixed_width = true;
                label = /*MSG135*/"U:";
                mnemonic = /*MSG232*/"U";
                key = "u";
                edit_width = 3;
            }
            : edit_box {
                fixed_width = true;
                label = /*MSG136*/"V:";
                mnemonic = /*MSG233*/"V";
                key = "v";
                edit_width = 3;
            }
        }
        spacer;
        : boxed_column {
            fixed_width = true;
            label = /*MSG137*/"Polyline";
            key = "pline";
            : column {
               fixed_height = true;
               : toggle {
                   label = /*MSG138*/"Closed";
                   mnemonic = /*MSG234*/"d";
                   key = "closed";
               }
               : toggle {
                   label = /*MSG139*/"LT Gen";
                   mnemonic = /*MSG235*/"G";
                   key = "ltgen";
               }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddvport : dialog {
    label = /*MSG140*/"Modify Viewport";
    : boxed_row {
      : row {
          fixed_width = true;
          : column {
              fixed_width = true;
              : row {
                  : button {
                      label = /*MSG236*/"Color...";
                      mnemonic = /*MSG237*/"r";
                      key = "b_color";
                  }
                  : image {
                      key = "show_image";
                      height = 1;
                      width = 3;
                  }
              }
              spacer_0;
              : text {
                  label = /*MSG238*/"Linetype:";
                  key = "b_line";
              }
          }
          : column {
              spacer_0;
              fixed_width = true;
              : text {
                  key = "t_color";
                  width = 12;
              }
              spacer_0;
              : row {
                  : text {
                      alignment = bottom;
                      key = "t_ltype";
                      width = 12;
                  }
              }
          }
      }
      : column {
          fixed_width = true;
          : row {
              : column {
                  : button {
                      label = /*MSG239*/"Layer Name...";
                      mnemonic = /*MSG240*/"L";
                      key = "b_name";
                  }
                  : text {
                      label = /*MSG241*/"Thickness:";
                      width = 15;
                  }
              }
              : column {
                  spacer_0;
                  : text {
                      key = "t_layer";
                      width = 18;
                  }
                  spacer_0;
                  : row {
                      : text {
                          alignment = bottom;
                          key = "eb_thickness";
                          width = 18;
                      }
                  }
              }
          }
      }
    }
    spacer;
    : row {
        : boxed_column {
            label = /*MSG141*/"View Center";
            fixed_width = true;
            : concatenation {
                : text_part {
                  label = /*MSG142*/"X: ";
                }
                : text_part {
                  key = "xtext";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = /*MSG143*/"Y: ";
                }
                : text_part {
                  key = "ytext";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = /*MSG144*/"Z: ";
                }
                : text_part {
                  key = "ztext";
                  width = 10;
                }
            }
        }
        spacer_0;
        : column {
            fixed_width = true;
            : text {
               label = "   ";
            }
            : concatenation {
                : text_part {
                  label = /*MSG145*/"Vport ID:";
                  width = 10;
                }
                : text_part {
                  key = "vpid";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = /*MSG146*/"Width:";
                  width = 10;
                }
                : text_part {
                  key = "wid";
                  width = 10;
                }
            }
            : concatenation {
                : text_part {
                  label = /*MSG147*/"Height:";
                  width = 10;
                }
                : text_part {
                  key = "hght";
                  width = 10;
                }
            }
        }
        spacer_0;
        : column {
            alignment = top;
            fixed_width = true;
            fixed_height = true;
            : text {
               label = "   ";
            }
            : concatenation {
                : text_part {
                  label = /*MSG148*/"Status: ";
                  width = 8;
                }
                : text_part {
                  key = "on-off";
                  width = 15;
                }
            }
            : concatenation {
                : text_part {
                  label = /*MSG242*/"Handle: ";
                  width = 8;
                }
                : text_part {
                  key = "Handle";
                  width = 15;
                }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

ddimen : dialog {
    label = /*MSG149*/"Modify Dimension";
    properties_subassembly;
    spacer;
    : row {
        : column {
            : concatenation {
                : text_part {
                    label = /*MSG150*/"Dimension Type:";
                    width = 17;
                }
                : text_part {
                    key = "dtype";
                    width = 15;
                }
            }
            : concatenation {
                : text_part {
                    label = /*MSG151*/"Dimension Text:";
                    width = 17;
                }
                : text_part {
                    key = "dtext";
                    width = 15;
                }
            }
        }
        spacer_0;
        : column {
            : concatenation {
                : text_part {
                    label = /*MSG152*/"Dimension Style:";
                    width = 18;
                }
                : text_part {
                    key = "dstyle";
                    width = 9;
                }
            }
            : concatenation {
                : text_part {
                    label = /*MSG153*/"Handle:";
                    width = 18;
                }
                : text_part {
                    key = "Handle";
                    width = 9;
                }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}

setltype : dialog {
    label = /*MSG156*/"Select Linetype";
    image_block;
    : list_box {
        key = "list_lt";
        allow_accept = true;
    }
    : edit_box {
        key = "edit_lt";
        allow_accept = false;
        label = /*MSG157*/"Linetype:";
        edit_limit = 31;
        mnemonic = /*MSG243*/"L";
    }
    ok_cancel_err;
}

setlayer : dialog {
    subassembly = 0;
    label = /*MSG158*/"Select Layer";
    initial_focus = "listbox";
    : concatenation {
        children_fixed_width = true;
        key = "clayer";
        : text_part {
            label = /*MSG159*/"Current Layer: ";
            width = 15;
        }
        : text_part {
            key = "cur_layer";
            width = 35;
        }
    }
    : row {
        fixed_width = true;
        key = "titles";
        children_fixed_width = true;
        : text {
            label = /*MSG160*/"Layer Name";
            width = 34;
        }
        : text {
            label = /*MSG161*/"State";
            width = 9;
        }
        : text {
            label = /*MSG162*/"Color";
            width = 8;
        }
        : text {
            label = /*MSG163*/"Linetype";
            width = 12;
        }
    }
    : list_box {
        tabs = "32 35 37 39 41 44 53";
        width = 67;
        height = 12;
        key = "list_lay";
        allow_accept = true;
    }
    : row {
        key = "controls";
        : column {
            key = "lname";
            fixed_width = true;
            : edit_box {
                label = /*MSG164*/"Set Layer Name:";
                mnemonic = /*MSG244*/"S";
                key = "edit_lay";
                width = 32;
                edit_width = 32;
                edit_limit = 31;
                allow_accept = true;
            }
        }
    }
    ok_cancel_err;
}

