/* Next available MSG number is  60 */

// DDUNITS.DCL   Version 1.0
//
// Copyright (C) 1992 by Autodesk, Inc.
//    
// Permission to use, copy, modify, and distribute this software
// for any purpose and without fee is hereby granted, provided
// that the above copyright notice appears in all copies and that 
// both that copyright notice and this permission notice appear in 
// all supporting documentation.
// 
// THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
// WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
// PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//
//-------------------------------------------------------------------------
// DESCRIPTION:
// Dialogue definition file for DDUNITS.LSP - Units command. 
//-------------------------------------------------------------------------

dcl_settings : default_dcl_settings { audit_level = 0; }

ddunits : dialog {
    label = /*MSG1*/"Units Control";
    //
    // Horizontal cluster that contains the Units and Angles clusters.
    //
    : row {
        //
        // Units cluster.
        //
        : boxed_column {
            label = /*MSG2*/"Units";
            //
            // Radio cluster for the units format selection.
            //
            : radio_column {
                : radio_button {
                    key = "scientific";
                    label = /*MSG3*/"Scientific";
                    mnemonic = /*MSG37*/"S";
                }
                : radio_button {
                    key = "decimal";
                    label = /*MSG4*/"Decimal";
                    mnemonic = /*MSG38*/"c";
                }
                : radio_button {
                    key = "engineering";
                    label = /*MSG5*/"Engineering";
                    mnemonic = /*MSG39*/"E";
                }
                : radio_button {
                    key = "architectural";
                    label = /*MSG6*/"Architectural";
                    mnemonic = /*MSG40*/"A";
                }
                : radio_button {
                    key = "fractional";
                    label = /*MSG7*/"Fractional";
                    mnemonic = /*MSG41*/"F";
                }
            }
            //
            // Linear Units Precision popup_list (System variable LUPREC).
            //
            spacer;
            : text {
                label = /*MSG8*/"Precision:";
                mnemonic = /*MSG42*/"P";
            }
            : popup_list {
                key = "luprec";
                edit_width = 14;
            }
        }
        //
        // Angle Formats Control.
        //
        : boxed_column {
            label = /*MSG9*/"Angles";
            //
            // Radio cluster for the angle format selection.
            //
            : radio_column {
                : radio_button {
                  key = "decimal_deg";
                  label = /*MSG10*/"Decimal Degrees";
                  mnemonic = /*MSG43*/"i";
                }
                : radio_button {
                    key = "dms";
                    label = /*MSG11*/"Deg/Min/Sec";
                    mnemonic = /*MSG44*/"M";
                }
                : radio_button {
                    key = "grads";
                    label = /*MSG12*/"Grads";
                    mnemonic = /*MSG45*/"G";
                }
                : radio_button {
                    key = "radians";
                    label = /*MSG13*/"Radians";
                    mnemonic = /*MSG46*/"R";
                }
                : radio_button {
                    key = "surveyor_deg";
                    label = /*MSG14*/"Surveyor";
                    mnemonic = /*MSG47*/"v";
                }
            }
            //
            // Angle Precision popup_list (system variable AUPREC).
            //
            spacer_0;
            : text {
                label = /*MSG15*/"Precision:";
                mnemonic = /*MSG48*/"n";
            }    
            : popup_list {
                key = "auprec";
                edit_width = 17;
            }
        }
    }
    //
    // Row of buttons at bottom: OK Cancel Direction... Help...
    //
    : row {
        ok_button;
        cancel_button;
        : button {
             label = /*MSG57*/"Direction...";
             key = "dir";
             mnemonic = /*MSG58*/"D";
             fixed_width = true;
        }
        help_button;
    }
}
//
// Direction child dialog.
//
direction : dialog {
    label = /*MSG59*/"Direction Control";
    : boxed_column {
        label = /*MSG16*/"Angle 0 Direction";
        fixed_width = true;
        width =22;
        //
        // Direction sub-cluster to group the radio cluster and the
        // pick button/edit box cluster.
        //
        :row {
            //
            // Radio cluster for the direction selection.
            //
            : radio_column {
                : radio_button {
                    key = "east";
                    label = /*MSG17*/"East";
                    mnemonic = /*MSG49*/"E";
                }
                : radio_button {
                    key = "north";
                    label = /*MSG18*/"North";
                    mnemonic = /*MSG50*/"N";
                }
                : radio_button {
                    key = "west";
                    label = /*MSG19*/"West";
                    mnemonic = /*MSG51*/"W";
                }
                : radio_button {
                    key = "south";
                    label = /*MSG20*/"South";
                    mnemonic = /*MSG52*/"S";
                }
                : radio_button {
                    key = "other";
                    label = /*MSG21*/"Other";
                    mnemonic = /*MSG53*/"O";
                }
            }
            //
            // Angle direction format labels appears to the right
            // of the radio cluster, a "pick" button next to "other"
            //
            : column {
                : text {
                    key = "zero";
                    label = "";
                    width = 9;
                }
                : text {
                    key = "ninety";
                    label = "";
                }
                : text {
                    key = "one_eighty";
                    label = "";
                }
                : text {
                    key = "two_seventy";
                    label = "";
                }
                : text {
                    key = "typed";
                    label = /*MSG22*/"Pick/Type";
                }
            }
        }
        //
        // Manual angle selection and direction selection.
        //
        //
        // Angle edit box.
        //
        : edit_box {
            key = "angle_edit";
            edit_width = 14;
            label = /*MSG25*/"Angle:";
            mnemonic = /*MSG54*/"A";
        }
        : button{
            label = /*MSG23*/"Pick <";
            key = "angle_pick";
            fixed_width = true;
            width = 8;
            alignment = left;
            mnemonic = /*MSG24*/"P";
        }
    }
    //
    // Angle direction radio cluster.
    //
    : radio_column {
        : radio_button {
            key = "angle_dir_ccw";
            label = /*MSG26*/"Counter-Clockwise";
            mnemonic = /*MSG55*/"C";
        }
        : radio_button {
            key = "angle_dir_cw";
            label = /*MSG27*/"Clockwise";
            mnemonic = /*MSG56*/"l";
        }
    }
    ok_cancel;
    : errtile {
        width = 22;
    }
}
// End Direction child dialog.
