/* Next available MSG number is  54 */

//----------------------------------------------------------------------------
//
//   FILTER.DCL   Version 1.0
//
//   Copyright (C) 1991-1992 by Autodesk, Inc.
//      
//   Permission to use, copy, modify, and distribute this software 
//   for any purpose and without fee is hereby granted, provided 
//   that the above copyright notice appears in all copies and that 
//   both that copyright notice and this permission notice appear in 
//   all supporting documentation.
//      
//   THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//   WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//   PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//   
//----------------------------------------------------------------------------
//
//  Filter.dcl - uses ssget to make filtered selection sets via dialogues.
//
//----------------------------------------------------------------------------


dcl_settings : default_dcl_settings { audit_level = 0; }

filter : dialog {
    aspect_ratio = 0;
    label = /*MSG1*/"Entity Selection Filters";
    : list_box {
        key = "filter_str_list";
        width = 67;
        height = 6;
        tabs = "20 22 25 35 37 40 50 52 55";
    }
    : row {
        : boxed_column {                 
            label = /*MSG2*/"Select Filter";
            fixed_width = true;
            : row {
                : popup_list {
                    key = "filter_by";
                    width = 22;
                }
                : button {
                    label = /*MSG51*/"Select...";
                    key = "select";
                    mnemonic = /*MSG52*/"e";
                    vertical_alignment = top;
                }

            }
            : row {
                : text {
                    label = /*MSG3*/"X:";
                    key = "x_text";
                }
                : popup_list {
                    key = "x_op";
                    edit_width = 4;
                    fixed_width = true;
                }
                : edit_box {
                    label = "";
                    key = "x_value";
                    width = 20;
                }
            }
            : row {
                : text {
                    label = /*MSG4*/"Y:";
                    key = "y_text";
                }
                : popup_list {
                    key = "y_op";
                    edit_width = 4;
                    fixed_width = true;
                }
                : edit_box {
                    label = "";
                    key = "y_value";
                    width = 20;
                }
            }
            : row {
                : text {
                    label = /*MSG5*/"Z:";
                    key = "z_text";
                }
                : popup_list {
                    key = "z_op";
                    edit_width = 4;
                    fixed_width = true;
                }
                : edit_box {
                    label = "";
                    key = "z_value";
                    width = 20;
                }
            }     
        
            : row {
                : button {
                    label = /*MSG8*/"Add to List";
                    key = "add_to_list";
                    mnemonic = /*MSG9*/"L";
                } 
                : button {
                    label = /*MSG10*/"Substitute";
                    key = "substitute";
                    mnemonic = /*MSG11*/"S";
                } 
            }
            : button {
                label = /*MSG12*/"Add Selected Entity <";
                key = "select_entity";
                mnemonic = /*MSG13*/"E";
            }
        }    
        : column {
            : row {
                : button {
                    label = /*MSG14*/"Edit Item";
                    key = "edit";
                    mnemonic = /*MSG15*/"I";
                    fixed_width = true;
                }
                : button {
                    label = /*MSG16*/"Delete";
                    key = "remove";
                    fixed_width = true;
                    mnemonic = /*MSG17*/"D";
                }
                : button {
                    label = /*MSG18*/"Clear List";
                    key = "clear_list";
                    fixed_width = true;
                    mnemonic = /*MSG19*/"C";
                }
            }
            : boxed_column {
                label = /*MSG22*/"Named Filters";
                : popup_list{
                    label = /*MSG23*/"Current:";
                    mnemonic = /*MSG53*/"u";
                    key = "named_lists";
                    width = 14;
                }
                : row {
                    : button {
                        label = /*MSG20*/"Save As:";
                        key = "save_as";
                        fixed_width = true;
                        mnemonic = /*MSG21*/"v";
                    }
                    : edit_box {
                        label = "";
                        key = "new_name";
                        edit_width = 20;
                        edit_limit = 18;
                    }
                }
                : row {
                    : button {
                        label = /*MSG24*/"Delete Current Filter List";
                        key = "delete_list";
                        mnemonic = /*MSG25*/"F";
                    }
                }
            }
            : row {
                fixed_width = true;
                alignment = centered;
                : button {
                    label = /*MSG26*/" Apply ";
                    key = "apply";
                    mnemonic = /*MSG27*/"A";
                    fixed_width = true;
                    width = 8;
                    alignment = centered;
                }
                : spacer { 
                    width = 2; 
                }    
                cancel_button;
                : spacer { 
                    width = 2; 
                }    
                help_button;
            }
        } 
    }
    : errtile { width = 60; }
}


single_table : dialog {
    key = "title";
    width = 30;
    : edit_box {
        label = /*MSG33*/"Pattern:";
        key = "pattern";
        edit_width = 15;
    }
    : list_box {                                   
        key = "table_match";
        width = 34;
        multiple_select = true;
        allow_accept = true;
    }
    spacer;
    ok_cancel;
    errtile;
}

already_exists : dialog {
    label = /*MSG34*/"Warning";
    : paragraph {
        : text_part {
            label = /*MSG35*/"A Filter List with this name already exists.";
        }
        : text_part {
            label = /*MSG36*/"Do you want to redefine it?";
        }
    }
    spacer_1;
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label = /*MSG37*/"Redefine";
            mnemonic = /*MSG38*/"R";
            key = "redefine";
            width = 8;
        }
        : spacer {
            width = 2;
        }
        : default_button {
            label = /*MSG39*/"Cancel";
            mnemonic = /*MSG40*/"C";
            key = "cancel";
            width = 8;
        }
    }
}

